<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/
/**
 * $Id: admin-blocked.php,v 1.12 2001/04/08 15:52:17 fkr Exp $
 * $Log: admin-blocked.php,v $
 * Revision 1.12  2001/04/08 15:52:17  fkr
 * *** empty log message ***
 *
 * Revision 1.11  2001/04/07 22:18:14  fkr
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 *
 * Revision 1.10  2001/03/24 18:06:16  fkr
 * - worked some more on the session-management (no need for '--enable-trans-sid'
 *   any more
 *
 * - redesigned language-modul
 *
 */ 

include ("../lib/config.php");

$db 	 = new DB_connect;
$connect = $db->connect();

session_start();
$session_name = session_name();
$session_id   = session_id();

// loading language-file
if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("../languages/$language_file");
}
else
{       header("Location: index.php");
}


$sid = $session_name ."=". $session_id;
$sid2 = $db->get_object('sid',USER_TABLE,'name','admin',"");

if($sid != $sid2)
{       header("Location: admin-pass.php");
}

// this handles to formular includes, action of the formular
// is set to itself

if(isset($delete))
{	if(isset($handle) && isset($ip))
	{ 	$handle = $db->doSlashes($handle);
		$sql 	= "DELETE FROM ". BLOCKED_TABLE ." WHERE ip='$ip' AND handle='$handle'"; 
	}
	
	if(isset($handle) && !isset($ip))
	{	$handle = $db->doSlashes($handle); 
		$sql 	= "DELETE FROM ". BLOCKED_TABLE ." WHERE handle='$handle'"; 
	}
	
	if(isset($ip) && !isset($handle))
	{ 	$sql 	= "DELETE FROM ". BLOCKED_TABLE ." WHERE ip='$ip'"; 
	}
	
	$result	= $db->query($sql);
	if($result)
	{	echo "<font color='red'>". MSG_136 . $ip ." - ". stripslashes($handle) ."!</font><br><br>";
	}
}

if((isset($new_ip) && ($new_ip != "")) || (isset($new_handle) && ($new_handle != "")))
{	$new_handle = $db->doSlashes($new_handle);
	$sql 	= "SELECT * FROM ". BLOCKED_TABLE ." WHERE ip='$new_ip' OR handle='$new_handle'";
	$result	= $db->query($sql);
	$objekt = $db->fetch_object($result);
	$db->free_result($result);
	$db_ip  = $objekt->ip;
	$db_handle = $objekt->handle;
	if(isset($db_ip) || isset($db_handle))
	{	echo "<font color='red'>". MSG_138 . $db_ip ." - ". stripslashes($db_handle) ."!</font><br><br>";
	}
	else
	{	$new_handle = htmlentities($db->doSlashes($new_handle));
		$sql 	= "INSERT INTO ". BLOCKED_TABLE ." VALUES ('$new_ip','$new_handle')";
		$result = $db->query($sql);
		if(isset($result))
		{	echo "<font color='red'>". MSG_139 . $new_ip ." - ". stripslashes($new_handle) ."!</font><br><br>";
		}
	}
}
?>
<html>
<head>
	<title><?PHP MSG_133 ?></title>
<script language=JavaScript>
<!--    
function openHelp() 
{       window.open('admin-help.php?<?PHP echo $session_name ."=". $session_id; ?>','<?PHP echo MSG_080 ?>','width=400,height=420,scrollbars=yes');
}
//-->
</script>
</head>
<body bgcolor=#EEEEEE>

<?PHP
echo "<h3><b>". MSG_133 ."</b></h3>";
	$sql 	= "SELECT * FROM ". BLOCKED_TABLE;
	$result = $db->query($sql);
	while ($row = $db->fetch_array($result,1)) 
	{
		echo "<FORM action=\"admin-blocked.php\" method=\"post\">".
			 "<table border=\"0\" width=\"100%\"><tr><td>";
		$ip = $row["ip"];
		$handle = $row["handle"];
		echo MSG_134 . "<input type=\"text\" name=\"ip\" value=\"" . $ip . "\"></td>".
		     "<td>" . MSG_135 . ":<input type=\"text\" name=\"handle\" value=\"" . $handle . "\"></td>";
		echo "<td><input type=\"hidden\" name=\"delete\" value=\"yes\"></td><td>".
		     "<td><input type=\"hidden\" name=\"$session_name\" value=\"$session_id\">".
		     "<input type=\"submit\" value=\"". MSG_147 ."\"></td></tr></table></form>";
	}
	$db->free_result($result);
	echo "<b>". MSG_137 ."</b>";
?>
<br><br>
<form action="admin-blocked.php" method="post">
<table border="0" width="100%">
<tr>
	<td><?PHP echo MSG_134 ?></td>
	<td><input type="text" name="new_ip"></td>
	<td><?PHP echo MSG_135 ?></td>
	<td><input type="text" maxlength="20" name="new_handle">
	<?PHP
	echo "<input type=\"hidden\"  name=\"$session_name\" value=\"$session_id\">";
	?>
	</td>
	<td><input type="submit" value="<?PHP echo MSG_145 ?>"></td>
</tr>
</table>
</form>
<table border="0" width="100%">
<tr>
<td align="left">
<a href="javascript:parent.window.close()"
	onMouseover="document.images['exit'].src='.<? echo EXIT_2 ?>'"
	onMouseout ="document.images['exit'].src='.<? echo EXIT_1 ?>'">
<img src=".<? echo EXIT_1 ?>" name="exit" border=0 align="top"></a>
</td><td align="right">
<a href="javascript:openHelp()"
        onMouseover="document.images['help'].src='.<?PHP echo HELP_2 ?>'"
	onMouseout="document.images['help'].src='.<?PHP echo HELP_1 ?>'">
<img src=".<?PHP echo HELP_1 ?>" name="help" border=0 align="top"></a>
</td></tr></table>
</body>
</html>
