<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/
/**
 * $Id: admin-rooms.php,v 1.15 2001/04/08 15:52:18 fkr Exp $
 * $Log: admin-rooms.php,v $
 */

include ("../lib/config.php");

$db 	= new DB_connect;
$connect = $db->connect();

session_start();
$session_name = session_name();
$session_id   = session_id();

// loading language-file
if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("../languages/$language_file");
}
else
{       header("Location: index.php");
}

$sid = $session_name ."=". $session_id;
$sid2 = $db->get_object('sid',USER_TABLE,'name','admin',"");

if($sid != $sid2)
{       header("Location: admin-pass.php");
}

$db->clean_user();

if(isset($new_room_name) && $new_room_name != "")
{	$new_room_name_slash = $db->doSlashes($new_room_name);
	$sql 	= "SELECT name FROM ". ROOM_TABLE ." WHERE name='$new_room_name_slash'";
	$result	= $db->query($sql);
	$objekt = $db->fetch_object($result);
	$db_name = $objekt->name;
	$db->free_result($result);
	if(isset($db_name))
	{
		$db_name = stripslashes($db_name);
		echo "<font color=\"red\">". MSG_130 . $db_name ."!</font><br><br>";
	}
	else
	{	$new_room_name 	   = htmlentities($db->doSlashes($new_room_name));
		$new_room_descript = htmlentities($db->doSlashes($new_room_descript));
		$sql    = "INSERT INTO ". ROOM_TABLE ." VALUES (null,'$new_room_name','$new_room_descript','N','200')";
		$result = $db->query($sql);
		if($result)
		{	$new_room_name = stripslashes($new_room_name);
			echo "<font color=\"red\">". MSG_131 . $new_room_name ."!</font><br><br>";
		}
	}
}

if(isset($mod_room_name) && !isset($delete))
{	$mod_room_name = $db->doSlashes($mod_room_name);
	$mod_room_descript = $db->doSlashes($mod_room_descript);
	$sql 	= "UPDATE ". ROOM_TABLE ." SET name='$mod_room_name',descript='$mod_room_descript' WHERE rid='$rid'";
    	$result = $db->query($sql);
	if($result)
	{	$org_room_name = stripslashes($org_room_name);
		echo "<font color=\"red\">". $org_room_name . MSG_132 . "!</font><br><br>";
	}
}

if(isset($mod_room_name) && isset($delete))
{	$sql 	= "SELECT * FROM ". USER_TABLE ." WHERE rid='$rid'";
	$result = $db->query($sql);
	$row	= $db->fetch_array($result,1);
	if(!$row)
	{ 	$sql    = "DELETE FROM ". ADMIN_TABLE ." WHERE rid='$rid'";
		$result = $db->query($sql);
		$sql	= "DELETE FROM ". ROOM_TABLE ." WHERE rid='$rid'";
		$result = $db->query($sql);
		if($result)
		{	$org_room_name = stripslashes($org_room_name);
			echo "<font color=\"red\">". $org_room_name . MSG_099 ."!</font><br><br>";
		}
	}
	else 
	{	$org_room_name = stripslashes($org_room_name);
		echo "<font color=\"red\">". $org_room_name . MSG_142 ."!</font><br><br>";
	}
}

if(isset($new_room_name) && $new_room_name == "")
{	echo "<font color=\"red\">". MSG_158 ."</font><br><br>";
}
?>

<html>
<head>
	<title><?PHP echo MSG_126 ?></title>
<script language=JavaScript>
<!--    
function openHelp() 
{       window.open('admin-help.php?<?PHP echo $session_name ."=". $session_id; ?>','<?PHP echo MSG_080 ?>','width=400,height=420,scrollbars=yes');
}
//-->
</script>
</head>
<body bgcolor=#EEEEEE>
<?PHP
	echo "<b>" . MSG_126 . "</b><br>";
	$sql 	= "SELECT * FROM ". ROOM_TABLE;
	$result = $db->query($sql);
	while ($row = $db->fetch_array($result,1)) 
	{
		echo "<FORM action=\"admin-rooms.php\" method=\"post\"><table border=\"0\" width=\"100%\"><tr><td>";
		$room_name = $row["name"];
		$room_descript = $row["descript"];
		$room_rid = $row["rid"];
		echo MSG_125 . ": <input type=\"hidden\" name=\"rid\" value=\"$room_rid\">".
		     "<input type=\"hidden\" name=\"org_room_name\" value=\"$room_name\">".
		     "<input type=\"text\" name=\"mod_room_name\" value=\"$room_name\" >".
		     "</td><td>" . MSG_019 . ": <input size=\"30\" type=\"text\" name=\"mod_room_descript\" value=\"$room_descript\"></td>";
		echo "<td>" . MSG_128 . " <input type=\"checkbox\" name=\"delete\" value=\"yes\"></td><td>".
		     "<input type=\"submit\" value=\"". MSG_146 ."\"></td></tr></table></form>";
	}
	$db->free_result($result);
	echo "<br><br><b>" . MSG_129 . "</b><br>";
?>
<form action="admin-rooms.php" method="post">
<table border="0" width="100%">
<tr>
	<td><?PHP echo MSG_125 ?>:</td>
	<td><input type="text" maxlength="20" name="new_room_name"></td>
	<td><?PHP echo MSG_019 . ": " ?></td>
	<td><input type="text" name="new_room_descript">
	<?PHP
	echo "<input type=\"hidden\" name=\"". session_name() ."\" value=\"". session_id() ."\">";
	?>
	</td>
	<td><input type="submit" value="<?PHP echo MSG_145 ?>"></td>
</tr>
</table>
</form>
<table border="0" width="100%">
<tr>
<td align="left">
<a href="javascript:parent.window.close()"
	onMouseover="document.images['exit'].src='.<? echo EXIT_2 ?>'"
	onMouseout ="document.images['exit'].src='.<? echo EXIT_1 ?>'">
<img src=".<? echo EXIT_1 ?>" name="exit" border=0 align="top"></a>
</td><td align="right">
<a href="javascript:openHelp()"
        onMouseover="document.images['help'].src='.<?PHP echo HELP_2 ?>'"
	onMouseout="document.images['help'].src='.<?PHP echo HELP_1 ?>'">
<img src=".<?PHP echo HELP_1 ?>" name="help" border=0 align="top"></a>
</td></tr></table>
</body>
