<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/
/** 
 *  $Id: admin-viewlog.php,v 1.7 2001/04/08 15:52:18 fkr Exp $
 *  $Log: admin-viewlog.php,v $
 *  Revision 1.7  2001/04/08 15:52:18  fkr
 *  *** empty log message ***
 *
 *  Revision 1.6  2001/04/07 22:18:15  fkr
 *  - added italian-buttons
 *  - tons of bug-fixes
 *  - added magic_quotes_gpc = off fallback
 */

include ("../lib/config.php");

$db = new DB_connect;
$connect = $db->connect();

session_start();
$session_name = session_name();
$session_id   = session_id();

// loading language-file
if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("../languages/$language_file");
}
else
{       header("Location: index.php");
}

$sid = $session_name ."=". $session_id;
$sid2 = $db->get_object('sid',USER_TABLE,'name','admin',"");

if($sid != $sid2)
{       header("Location: admin-pass.php");
}

$db->clean_user();

// get room name
$sql = "SELECT name FROM ". ROOM_TABLE ." WHERE rid='$rid'";
$result = $db->query($sql);
$objekt_name = $db->fetch_object($result);
$name = $objekt_name->name;
$db->free_result($result);

if(isset($delete) && $delete == "yes")
{	$sql    = "SELECT * FROM ". USER_TABLE ." WHERE rid='$rid'";
	$result = $db->query($sql);
	$num    = $db->num_rows($result);
	if($num == "0")
	{	$sql = "DELETE FROM ". MESSAGE_TABLE ." WHERE rid='$rid'";
		$result = $db->query($sql);
		if($result)
		{	$deleted = "1";
		}
	}
	else $deleted = "0";
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title><?PHP echo MSG_154 . $name ?></title>
<script language=JavaScript>
<!--    
function openHelp() 
{       window.open('admin-help.php?<?PHP echo $session_name ."=". $session_id; ?>','<?PHP echo MSG_080 ?>','width=400,height=420,scrollbars=yes');
}
//-->
</script>
</head>
<body bgcolor="white">
<?PHP
if(isset($deleted) && $deleted == "1")
{	$string1 = MSG_154;
	$string2 = MSG_155;
	$string3 = MSG_156;
	echo "<font color=\"red\">$string1 $name $string2</font><br><br><br>";
}
if(isset($deleted) && $deleted == "0")
{	$string1 = MSG_154;
        $string2 = MSG_142;
	echo "<font color=\"red\">$string1 $name $string2</font><br><br>";
}
?>

<table border="0" width="100%">

<?PHP

$sql    = "SELECT * FROM ". MESSAGE_TABLE ." WHERE rid='$rid' AND (rcpt_id = '0' OR rcpt_id = '-1' OR rcpt_id = '-3') ORDER BY TIME ASC";
$result = $db->query($sql);
$num    = $db->num_rows($result);

if($num > 0)
{	echo MSG_154 . $name . "<br><br>";
}
else
{	echo MSG_154 . $name . MSG_193 ."<br><br>";
}

while($row = $db->fetch_array($result,1))
{	$timestamp = $row["time"];
	$date	   = substr($timestamp,6,2) . "." . substr($timestamp,4,2) . "." . substr($timestamp,0,4);
	$time	   = substr($timestamp,8,2) . ":" . substr($timestamp,10,2) . ":" . substr($timestamp,12,2);
	$user      = stripslashes($row["sender"]);
	$message   = urldecode($row["message"]);
	$message   = stripslashes($message);
	echo "<tr><td width=\"20%\">$date - $time</td><td width=\"25%\"><font color=\"red\">$user :</font></td><td>$message</td></tr>\n";
}

$db->free_result($result);
?>
</table>
<?PHP
if(($num > 0) && (!isset($deleted) || $deleted == "0"))
{ 	echo "<form action=\"admin-viewlog.php\" method=\"post\">\n". MSG_147 ."<input type=\"checkbox\" name=\"delete\" value=\"yes\"><br>\n".
             "<input type=\"hidden\" name=\"rid\" value=\"$rid\">\n".
	     "<input type=\"hidden\" name=\"$session_name\" value=\"$session_id\">".
             "<input type=\"submit\" value=\"". MSG_147 ."\"><br>\n".
             "</form>";
}
?>
<br><br>
<table border="0" width="100%">
<tr>
<td align="left">
<a href="javascript:parent.window.close()"
        onMouseover="document.images['exit'].src='.<? echo EXIT_2 ?>'"
        onMouseout ="document.images['exit'].src='.<? echo EXIT_1 ?>'">
<img src=".<? echo EXIT_1 ?>" name="exit" border=0 align="top"></a>
</td><td align="right">
<a href="javascript:openHelp()"
        onMouseover="document.images['help'].src='.<?PHP echo HELP_2 ?>'"
        onMouseout="document.images['help'].src='.<?PHP echo HELP_1 ?>'">
<img src=".<?PHP echo HELP_1 ?>" name="help" border=0 align="top"></a>
</td></tr></table>
</body>
</html>
