<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              *
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/

/**
 * $Id: ban.php,v 1.12 2001/04/07 22:18:11 fkr Exp $
 * $Log: ban.php,v $
 * Revision 1.12  2001/04/07 22:18:11  fkr
 *
 *
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 *
 * Revision 1.11  2001/04/01 13:32:47  fkr
 * - added language-utils
 */

include("./lib/config.php");

@session_start();
$session_name = session_name();
$session_id   = session_id();

// loading language-file
if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("./languages/$language_file");
}
else
{       header("Location: index.php");
}


$db      = new DB_connect();
$connect = $db->pconnect();

if(isset($banuser))
{
	if(isset($banip))
	{	$ip       = $db->get_object("ip",USER_TABLE,"name",$banuser); 
	}
	else 
	{	$ip = "";
	}
	
	if($banuser != "")
	{	$banuser_slash = $db->doSlashes($banuser);
		$sql	  = "DELETE FROM ". USER_TABLE . " WHERE name='$banuser_slashes'";
		$db->query($sql);
	}
	
	if(!isset($banhandle)) 
	{	$banuser = "";
	}

	$sql	  = "INSERT INTO ". BLOCKED_TABLE ." VALUES ('$ip','$banuser_slashes')";
	$db->query($sql);
}

?>

<HTML>
<HEAD>
	<TITLE><?PHP echo MSG_092 ?></TITLE>
</HEAD>
<body bgcolor=#EEEEEE>
<?PHP 
echo "<b>". MSG_082 ."</b>";
if(isset($banuser))
{	echo "<br><font color='red'>". MSG_091 . "" . stripslashes($banuser) . "</font><br><br>";
}

$sql 	= "SELECT name FROM ". USER_TABLE ." WHERE pass ='' AND rid='$rid'";
$result	= $db->query($sql);
if(!$result) $db->error("Something bad happened: ");
$row 	= $db->fetch_row($result);
if($row == "")
{	echo "<br><font color=\"red\">". MSG_093 . "</font><br><br>";
	echo "<br><center><a href=\"javascript:parent.window.close()\" onMouseover=\"document.images['exit'].src='". EXIT_2 ."'\"".
	     "onMouseout =\"document.images['exit'].src='". EXIT_1 ."'\"><img src=\"". EXIT_1 ."\" name=\"exit\" border=0 align=\"top\">".
	     "</a></center></body></html>";
	// exit right here, no need for more.
	exit;
}
?>
<FORM action="ban.php" method="post">
<table border="0">
<tr>
	<td><input type="hidden" name="<?PHP echo $session_name ?>" value="<?PHP echo $session_id ?>"></td>
</tr><tr>
	<td><?PHP echo MSG_083 ?></td>
	<td><select name="banuser">
	<?PHP 
	while($row = $db->fetch_array($result,1))
	{
		$db_name = $row['name'];
		echo "<option>$db_name";
	}
	$db->free_result($result);
	?>
	</select>
	</td>
</tr><tr>
	<td><?PHP echo MSG_084 ?></td>
	<td><input type="checkbox" name="banip" value="yes"></td>
</tr><tr>
	<td><?PHP echo MSG_085 ?></td>
	<td><input type="checkbox" name="banhandle" checked value="yes"></td>
</tr><tr>
	<td><font face="Verdana" size="-1" color="white"><input type="submit" value="<?PHP echo MSG_086 ?>"></font></td>
	<td><font face="Verdana" size="-1" color="white"><input type="reset" value="Clear"></font></td>
	<td><a href="javascript:parent.window.close()" onMouseover="document.images['exit'].src='<? echo EXIT_2 ?>'" 
	     onMouseout ="document.images['exit'].src='<? echo EXIT_1 ?>'"><img src=<? echo EXIT_1 ?> name="exit" border=0 align="top"></a></td>
</tr>
</table>
</FORM>
<br>
<?PHP
	require(BAN_TXT);
?>
</body>
</html>
