<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/

/** configWriter.php
 *  class to write config file with
 *  $Id: configWriter.php,v 1.4 2001/03/29 17:49:55 fkr Exp $
 *  $Log: configWriter.php,v $
 *  Revision 1.4  2001/03/29 17:49:55  fkr
 *
 *
 *  - deleted language-writing from configWriter
 *  - made 'debug' configurable via admin-module
 *
 *  Revision 1.3  2001/01/31 20:40:47  fkr
 *  - updated translation -> thanks to Gerardo
 *
 *  Revision 1.2  2001/01/28 01:44:13  fkr
 *  - changed table-names
 *  - cleaned up the api some more
 *
 *  Revision 1.1  2001/01/21 21:51:54  fkr
 *
 *  - the great re-design
 *
 */

class configWriter
{
  var $classname	= "configWriter";
  var $FILE		= "./lib/config.php";
  var $HOST             = "";
  var $DB               = "";
  var $USER             = "";
  var $PASS             = "";
  var $LANGUAGE_STRING  = "";
  var $DATABASE_DRIVER  = "";

  function writeConfig()
  {	$fp = fopen($this->FILE,"w");
  	if($fp)
	{	fwrite($fp, "<?PHP\n");
		fwrite($fp, "// config written by configWriter for med-chat\n\n");
		fwrite($fp, $this->LANGUAGE_STRING);
		fwrite($fp, $this->DATABASE_DRIVER);
		fwrite($fp, "@include(\"../lib/defines.php\");\n");
		fwrite($fp, "@include(\"./lib/defines.php\");\n");
		fwrite($fp, "define ('DB_HOST', '". $this->HOST ."');\n");
		fwrite($fp, "define ('DATABASE', '". $this->DB ."');\n");
		fwrite($fp, "define ('DB_USER', '". $this->USER ."');\n");
		fwrite($fp, "define ('DB_PASSWORD', '". $this->PASS ."');\n\n");
		fwrite($fp, "return true;\n");
		fwrite($fp, "?>\n");
		$success = fclose($fp);
		if(!$success)
		{	$err = "Failed to write and succesfully close ". $this->FILE ."<br>";
		}
		
	}
	else
	{	$err = "Failed to open ". $this->FILE . "in read-mode<br>";
	}
	if(!isset($err))
	{	return true;
	}
	else
	{	$this->error($err);
		return false;
	}
  }

  function error($err)
  {	echo $err;
  }
  
  // mutator
  function setFile($file)
  {	$this->FILE = $file;
  }

  function setUser($user)
  {	$this->USER = $user;
  }

  function setPass($pass)
  {	$this->PASS = $pass;
  }

  function setHost($host)
  {	$this->HOST = $host;
  }

  function setDb($database)
  {	$this->DB = $database;
  }

  function setDatabaseDriver($database_driver)
  {	if(($database_driver == "mysql-3.22") || ($database_driver == "mysql-3.23"))
  	{	$this->DATABASE_DRIVER = "@include(\"../lib/classes-mysql.php\");\n".
	                                 "@include(\"./lib/classes-mysql.php\");\n\n";
	}
	if($database_driver == "postgresql")
	{	$this->DATABASE_DRIVER = "@include(\"../lib/classes-pgsql.php\");\n".
	                                 "@include(\"./lib/classes-pgsql.php\");\n";
	}
  }
  
  function setStuff($user,$pass,$host,$database,$database_driver)
  {	$this->setUser($user);
  	$this->setPass($pass);
	$this->setHost($host);
	$this->setDb($database);
	$this->setDatabaseDriver($database_driver);
  }
	
}
return true;
?>
