<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/

/**
 * $Id: login.php,v 1.14 2001/04/07 22:18:12 fkr Exp $
 * $Log: login.php,v $
 * Revision 1.14  2001/04/07 22:18:12  fkr
 *
 *
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 *
 * Revision 1.13  2001/04/01 13:32:48  fkr
 * - added language-utils
 *
 */

include ("./lib/config.php");

// see if $rid is set, it's not? go back to start.
// just to avoid people having set a bookmark to this page
if((!isset($rid)) || (!isset($langid)))
{	header("Location: ./");
}

// building an database object
$db      = new DB_connect();
$connect = $db->pconnect();


// loading language-file
if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("./languages/$language_file");
}
else
{       header("Location: index.php");
}

$sql	 = "SELECT * FROM ". BLOCKED_TABLE ." WHERE ip='$REMOTE_ADDR'";
$result  = $db->query($sql);
$ip      = $db->fetch_object($result);
if($ip)
{	header("Location: " . BLOCKED_PAGE . "");
	exit;
}
$db->free_result($result);

$uprofiles = $db->get_object("user_profiles",CONFIG_TABLE,"config_state","active","");
?>

<HEAD>
	<TITLE><?PHP echo stripslashes($name) . " - " . stripslashes($descript) ?></TITLE>
<SCRIPT LANGUAGE=JavaScript>
<!--
function openIt(name) 
{       window.open(name,'','width=700,height=400,scrollbars=yes');
}
//-->
</SCRIPT>
</HEAD>
<body BGCOLOR="white">
<CENTER>
<?PHP 
if(isset($login))
{	// this is to catch people who already tried logging in
	if($login != "new")
	{	// no handle given
		if($login == "undefined")
		{	echo MSG_011 . "<br>";
		}

		if($login == "forbidden")
		{	echo MSG_157 . "<br>";
		}
		
		// handle in use
		if($login == "used")
		{	echo MSG_014 . "<br>";
		}

		// passwort wrong - still used?
		if($login == "wrong")
		{	echo MSG_013 . "<br>";
		}
	}
	$name 	  = stripslashes(urldecode($name));
	$descript = stripslashes(urldecode($descript));
}

echo $rid . "<br>" . $name . "<br>" . $descript . "<br><br>";

$login = "new";
?>

<TABLE border=0>
<tr>
<FORM action="separate.php" method="post">
	<td><?PHP echo MSG_062 ?></td>
	<td><input type="text" maxlength="20" name="user"></td>
	<td>
	<input type="hidden" name="rid" value="<?PHP echo $rid ?>">
        <input type="hidden" name="name" value="<?PHP echo $name ?>">
        <input type="hidden" name="descript" value="<?PHP echo $descript ?>">
	<input type="hidden" name="langid" value="<?PHP echo $langid ?>">
	</td>
</tr>
<tr>
	<td></td>
	<td><font face="Verdana" size="-1" color="white"><input type="submit" value="Chat !"></font>
	<font face="Verdana" size="-1" color="white"><input type="reset" value="Clear"></font></td>
</tr>
</FORM>
</TABLE>
<?PHP
if($uprofiles == 1)
{	echo "<br><br><a href=\"javascript:openIt('uprofiles.php?language=$language')\"><b>" . MSG_169 ."</b></a><br><br>";
}
?>
</CENTER>
</BODY>
</HTML>
