<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/

/**
 * $Id: separate.php,v 1.13 2001/04/10 05:13:40 fkr Exp $
 * $Log: separate.php,v $
 * Revision 1.13  2001/04/10 05:13:40  fkr
 * *** empty log message ***
 *
 * Revision 1.12  2001/04/07 22:18:13  fkr
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 *
 * Revision 1.11  2001/03/24 18:06:16  fkr
 * - worked some more on the session-management (no need for '--enable-trans-sid'
 *   any more
 *
 * - redesigned language-modul
 *
 */

include ("./lib/config.php");

// building an database object
$db      = new DB_connect();
$connect = $db->pconnect();


// loading language-file
if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("./languages/$language_file");
}
else
{       header("Location: index.php");
}


// look if handle is in blocked - if blocked, redirect to blocked.php
$user_slash = $db->doSlashes($user);
$sql	  = "SELECT handle FROM ". BLOCKED_TABLE ." WHERE handle='$user_slash'";
$result   = $db->query($sql);
$objekt   = $db->fetch_object($result);
$handle   = $objekt->handle;
if(isset($handle))
{	header("Location: " . BLOCKED_PAGE ."");
	exit;
}

$row 	  = $db->verify_user($user);
$uid	  = "";
$num_name = $row['name'];
$num_pass = $row['pass'];

$name 	  = stripslashes(urlencode($name));
$descript = stripslashes(urlencode($descript));

// checking if username was entered
if($user == "")
{	header("Location:login.php?login=undefined&rid=$rid&name=$name&descript=$descript&langid=$langid");
	exit;
}

// catch < and " " <- found by Luca
if((ereg("<",$user)) || (ereg(" ",$user)))
{	header("Location:login.php?login=forbidden&rid=$rid&name=$name&descript=$descript&langid=$langid");
	exit;
}

// $num_pass is empty, at the name is not taken, set $admin to zero
// and fire up chat
if($num_pass == "")
{	if($num_name == "")
	{	$admin = "0";
		$db->start_chat($user,$name,$rid,$descript,$admin,$langid);
	}
	else
	{	// aparently name is taken, back to login.php
		header("Location:login.php?login=used&rid=$rid&name=$name&descript=$descript&langid=$langid");
		exit;
	}
}
// we seem to be an admin user -> pass.php
else
{	$rid_db = $db->get_object("rid",USER_TABLE,"name",$user,"");
	if($rid_db == 0)
	{	header("Location: pass.php?user=$user&rid=$rid&name=$name&descript=$descript&langid=$langid");
	}
	else
	{	header("Location:login.php?login=used&rid=$rid&name=$name&descript=$descript&langid=$langid");
	}
	exit;
}	

?>
