<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/

/** 
 * $Id: whois.php,v 1.6 2001/04/07 22:18:14 fkr Exp $
 * $Log: whois.php,v $
 * Revision 1.6  2001/04/07 22:18:14  fkr
 *
 *
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 *
 * Revision 1.5  2001/04/01 13:32:48  fkr
 * - added language-utils
 */

include ("./lib/config.php");

$db      = new DB_connect();
$connect = $db->pconnect();

@session_start();
$session_name = session_name();
$session_id   = session_id();

// loading language-file
if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("./languages/$language_file");
}
else
{       header("Location: index.php");
}


if(isset($handle))
{	$handle_slash = $db->doSlashes($handle);
	$sql 	= "SELECT * FROM ". UPROFILES_TABLE ." WHERE handle='$handle_slash'";
	$result = $db->query($sql);
	$row    = $db->fetch_array($result,1);
	$quid    = $row["uid"];
	$qfirstname = $row["firstname"];
        $qlastname  = $row["lastname"];
        $qemail     = $row["e_mail"];
        $qwebsite   = $row["homepage"];
        $qicq_uin   = $row["icq_uin"];

	$qip        = $db->get_object("ip",USER_TABLE,"uid",$quid,"");
	$qroom_id   = $db->get_object("rid",USER_TABLE,"uid",$quid,"");

	if($qroom_id == 0)
	{	$status = "<font color=\"red\">". MSG_191 ."</font>";
	}
	else
	{	$status = "<font color=\"black\">". MSG_190 ."</font>";
		$qroom_name = $db->get_object("name",ROOM_TABLE,"rid",$qroom_id,"");
	}
}
?>

<html>
<head>
	<title>
	<?PHP 
	if(isset($handle))
	{	echo MSG_189 . $handle;
	}
	else
	{	echo MSG_186; 
	}
	?></title>
</head>
<body bgcolor="white">
<font face="arial">
<h3>
<?PHP 
if(isset($handle))
{       echo MSG_189 . $handle;
}
else
{	echo MSG_186;
}
?></h3>
<?PHP
if(isset($handle))
{	echo "<table border=\"0\" width=\"70%\">\n".
             "<tr>\n<td><font face=\"arial\">". MSG_062 . "</font></td>\n".
             "<td><font face=\"arial\">$handle</font></td>\n</tr>\n".
	     "<tr>\n<td><font face=\"arial\">". MSG_192 . "</font></td>\n".
	     "<td><font face=\"arial\">$status</font></td>\n</tr>\n";
	if($qroom_id != 0)
	{	echo "<tr>\n<td><font face=\"arial\">". MSG_003 . "</font></td>\n".
	             "<td><font face=\"arial\">$qroom_name</font></td>\n</tr>\n";
	}
	echo "<tr>\n<td><font face=\"arial\">". MSG_171 . "</font></td>\n".
	     "<td><font face=\"arial\">$qfirstname</font></td>\n</tr>\n".
	     "<tr>\n<td><font face=\"arial\">". MSG_172 . "</font></td>\n".
	     "<td><font face=\"arial\">$qlastname</font></td>\n</tr>\n".
	     "<tr>\n<td><font face=\"arial\">". MSG_173 . "</font></td>\n".
	     "<td><font face=\"arial\"><a href=\"mailto:$qemail\">$qemail</a></font></td>\n</tr>\n".
	     "<tr>\n<td><font face=\"arial\">". MSG_174 . "</font></td>\n".
	     "<td><font face=\"arial\"><a href=\"$qwebsite\" target=\"_blank\">$qwebsite</a></font></td>\n</tr>\n".
	     "<tr>\n<td><font face=\"arial\">". MSG_175 . "</font></td>\n".
	     "<td><font face=\"arial\">$qicq_uin</font></td>\n</tr>\n";
	 if($qip != "")
	 {	echo "<tr>\n<td><font face=\"arial\">IP:</font></td>\n".
	 	     "<td><font face=\"arial\">$qip</font></td>\n</tr>\n";
	 }

	 echo "</table>\n";
}
?>
<form action="whois.php" method="post">
<table border="0">
<tr>
	<td><?PHP echo MSG_187 ?></td>
	<td><select name="handle">
	<?PHP
	$sql 	= "SELECT handle FROM ". UPROFILES_TABLE;
	$result = $db->query($sql);
	while($row = $db->fetch_array($result,1))
	{	$handle = $row["handle"];
		echo "<option>$handle";
	}
	?></select></td>
	<td><input type="hidden" name="<?PHP echo $session_name; ?>" value="<?PHP echo $session_id; ?>">
	<input type="submit" value="<?PHP echo MSG_188 ?>"></td>
</tr>
</table>
</form>
<a href="javascript:parent.window.close()"
        onMouseover="document.images['exit'].src='<?PHP echo EXIT_2 ?>'"
	onMouseout ="document.images['exit'].src='<?PHP echo EXIT_1 ?>'">
<img src="<?PHP echo EXIT_1 ?>" name="exit" border="0" align="top"></a>
</body>
</html>
