<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/
/** med-chat-translator .01
 * $Id: admin-languages-form.php,v 1.4 2001/04/10 05:13:40 fkr Exp $
 * $Log: admin-languages-form.php,v $
 * Revision 1.4  2001/04/10 05:13:40  fkr
 * *** empty log message ***
 *
 * Revision 1.3  2001/04/08 15:52:18  fkr
 * *** empty log message ***
 *
 * Revision 1.2  2001/04/07 22:18:15  fkr
 *
 *
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 *
 * Revision 1.1  2001/04/01 13:32:49  fkr
 * - added language-utils
 *
 */

include ("../lib/config.php");

$db 	 = new DB_connect;
$connect = $db->connect();

session_start();
$session_name = session_name();
$session_id   = session_id();

$sid = $session_name ."=". $session_id;
$sid2 = $db->get_object('sid',USER_TABLE,'name','admin',"");

if($sid != $sid2)
{       header("Location: admin-pass.php");
}

function sendHeader()
{	global $session_name, $session_id;
	echo "<HTML>\n<HEAD>\n<TITLE>". MSG_199 ."</TITLE>\n".
	     "<script language=JavaScript>\n<!--\nfunction openHelp()\n".
	     "{\twindow.open('admin-help.php?$session_name=$session_id','". MSG_080 ."','width=420,height=400,scrollbars=yes');\n".
	     "}\n//-->\n</script>\n</head>\n".
             "<BODY BGCOLOR=\"#EEEEEE\">\n<font face=\"arial\">\n".
             "<h3>". MSG_199 ."</h3>\n";
}

function extendHeader($source_lang,$target_lang,$target_lang_new)
{	echo "<form action=\"admin-languages-form.php\" method=\"post\">\n".
	     "<table border=\"0\" width=\"100%\">\n".
	     "<tr>\n".
             "<td width=\"50%\"><font face=\"arial\"><b>". MSG_210 .": $source_lang</b></font></td>\n";
	
	if($target_lang_new != "")
	{    echo "<td width=\"50%\"><font face=\"arial\"><b>".MSG_207 .": $target_lang_new</b></font></td>\n";
	}
	else
	{    echo "<td width=\"50%\"><font face=\"arial\"><b>".MSG_207 .": $target_lang</b></font></td>\n";
	}
	
	echo "</tr>\n";
}

function sendFooter($new_language,$target_lang,$source_lang,$target_lang_maint,$target_lang_maint_mail)
{	global $session_name,$session_id;
	echo "<tr>\n<td><font face=\"arial\">". MSG_204 ."</font></td>\n".
             "<td><input type=\"text\" size=\"30\" name=\"MAINTAINER\" value=\"$target_lang_maint\"></td>\n</tr>\n".
             "<tr>\n<td><font face=\"arial\">". MSG_212 ."</font></td>\n". 
             "<td><input type=\"text\" size=\"30\" name=\"MAINTAINER_MAIL\" value=\"$target_lang_maint_mail\"></td>\n</tr>\n".
	     "<tr>\n<td><input type=\"hidden\" name=\"target_lang\" value=\"$target_lang\">\n".
             "<input type=\"hidden\" name=\"$session_name\" value=\"$session_id\">\n".
	     "<input type=\"hidden\" name=\"originating_language\" value=\"$source_lang\">\n".
             "<input type=\"hidden\" name=\"new_language\" value=\"$new_language\"</td>\n".
             "<td><input type=\"submit\" value=\"". MSG_209 ."\"></td>\n</tr>\n</table>\n</form>\n";
}

function find_in_target_file($target_fp, $line)
{	$return_string = "";
	while (! feof($target_fp))
	{	$cur_line = fgets($target_fp,1024);
		if(preg_match("/.*$line.*/",$cur_line,$parts))
		{	if(preg_match("/^define\s\('(.+)',\s'(.+)'\)\;/i",$parts[0],$parts2))
			{	$return_string = $parts2[2];	
			}
		}
	}
	return $return_string;
}

if(isset($source_lang) && isset($target_lang) && (isset($target_lang_new) && $target_lang_new == ""))
{	// loading source-language 
	$source_lang_file = $db->get_object("language_file",LANGUAGES_TABLE,"language_name",$source_lang,"");
	include ("../languages/$source_lang_file");	

	// loading target-language
	$target_lang_slash = $db->doSlashes($target_lang);
	$sql 	= "SELECT * FROM ". LANGUAGES_TABLE ." WHERE language_name='$target_lang_slash'";
	$result	= $db->query($sql);
	$row    = $db->fetch_array($result,1);
	$target_lang_file  = $row["language_file"];
	$target_lang_maint = $row["language_maintainer"];
	$target_lang_maint_mail = $row["language_maintainer_mail"]; 

	// sending Header
	sendHeader();
	extendHeader($source_lang,$target_lang,$target_lang_new);

	// open source-file in read-mode
	$source_fp = fopen("../languages/$source_lang_file","r");
	// open target-file in read-mode
	$target_fp = fopen("../languages/$target_lang_file","r");
	
	
	if((!$source_fp) || (!$target_fp))
	{	// kick out error if we can't open it
		echo "</table><br>\n<br>\n<font color=\"darkred\">". MSG_211 ."</font>";
	}

	// now we work our way through the file
	while(! feof($source_fp))
	{	$line = fgets($source_fp,1024);
		
		//pattern matching
		if(preg_match("/^define\s\('(.+)',\s'(.+)'\)\;/i",$line,$parts))
		{	$target_item = find_in_target_file($target_fp, $parts[1]);
			// reset filepointer to beginning of file
			rewind($target_fp);
			
			// let's see if $parts[1] is really defined as a constant
			if(defined($parts[1]))
			{	$msg = constant($parts[1]);
			}
			else
			{	$msg = "<font color=\"darkred\">ERROR IN SOURCE-LANG</font>";
			}
				
			if(ereg("not defined",$target_item))
			{	$target_item = "";
			}
			else
			{	$target_item = stripslashes($target_item);
			}
			echo "<tr>\n<td width=\"50%\"><font face=\"arial\">$msg</font></td>\n".
                       	     "<td width=\"50%\"><input type=\"text\" name=\"$parts[1]\" ".
                             "value=\"$target_item\" size=\"50\"></td>\n</tr>\n";
		}
	}
	
	sendFooter("false",$target_lang,$source_lang,$target_lang_maint,$target_lang_maint_mail);

	fclose($source_fp);
	fclose($target_fp);

}
else if(isset($source_lang) && isset($target_lang) && (isset($target_lang_new) && $target_lang_new != ""))
{	// loading source-language 
	$source_lang_file = $db->get_object("language_file",LANGUAGES_TABLE,"language_name",$source_lang,"");
	include ("../languages/$source_lang_file"); 

	// sending Header
	sendHeader();
	extendHeader($source_lang,$target_lang,$target_lang_new);

	// open target-file in read-mode
	$fp = fopen("../languages/$source_lang_file","r");
	
	
	if(!$fp)
	{	// kick out error if we can't open it
		echo "</table><br>\n<br>\n<font color=\"darkred\">". MSG_211 ."</font>";
	}
 
	while(! feof($fp))
	{	$line = fgets($fp,1024);
		
		//pattern matching
		if(preg_match("/^define\s\('(.+)',\s'(.+)'\)\;/i",$line,$parts))
		{	if(!preg_match("/\.+.{3,4}/",$parts[2]))
			{	if(defined($parts[1]))
				{	$msg = constant($parts[1]);
				}
				else 
				{	$msg = "<font color=\"darkred\">ERROR IN SOURCE-LANG</font>";
				}

				echo "<tr>\n<td width=\"50%\"><font face=\"arial\">$msg</font></td>\n".
                             	     "<td width=\"50%\"><input type=\"text\" name=\"$parts[1]\" size=\"50\"></td>\n</tr>\n";
			}
		}
				
	}

	sendFooter("true",$target_lang_new,$source_lang,"","");
}

// writing existing language
if(isset($new_language) && $new_language == "false")
{	$in_sync = 1;

	// getting the information about the file.
	$target_lang_slash = $db->doSlashes($target_lang);
	$sql 	= "SELECT * FROM ". LANGUAGES_TABLE ." WHERE language_name='$target_lang_slash'";
	$result	= $db->query($sql);
	$row    = $db->fetch_array($result,1);
	$target_lang_file 	= $row["language_file"];
	$target_lang_maintainer = $row["language_maintainer"];
	$target_lang_maint_mail = $row["language_maintainer_mail"];
	$target_lang_id 	= $row["lang_id"];

	$file_start = "<?PHP\n//language-file written by med-chat-translator version: .001\n//Maintainer:\t$target_lang_maintainer\n";
	$file_end   = "\n?>\n";	

	$target_fp = fopen("../languages/$target_lang.temp","w");
	fputs($target_fp,$file_start);

	while (list($key, $val) = each($HTTP_POST_VARS))
	{	if($val != "")
		{	$val = htmlentities($val);
			$define_string = "define ('$key', '$val');\n";
		}
		else
		{	$in_sync = 0;
			$define_string = "define ('$key', 'not defined');\n";
		}
		fputs($target_fp,$define_string);
	}

	fputs($target_fp,$file_end);
	fclose($target_fp);

	if(include("../languages/$target_lang.temp"))
	{	// sending Header
		sendHeader();
		
		if(unlink("../languages/$target_lang_file"))
		{	if(copy("../languages/$target_lang.temp","../languages/$target_lang_file"))
			{	if(!(unlink("../languages/$target_lang.temp")))
				{	echo "<font color=\"darkred\">ERROR while unlinking $target_lang.temp!</font>\n";
				}
				else
				{	echo "<br>". MSG_213 ."<br>";
				}
				
			} 
			else
			{	echo "<font color=\"darkred\">ERROR copying generated file to $target_lang_file</font>\n";
			}
		}
		else
		{	echo "<font color=\"darkred\">ERROR while unlinking $target_lang_file!</font>\n";
		}			
	}
	else
	{	echo "<font color=\"darkred\">ERROR parsing generated defines-file!</font>\n";
	}

	$sql = "UPDATE ". LANGUAGES_TABLE ." SET sync='$in_sync' WHERE lang_id='$target_lang_id'";
	$db->query($sql);

}

if(isset($new_language) && $new_language == "true")
{	$in_sync = 1;

	$file_start = "<?PHP\n//language-file written by med-chat-translator version: .001\n";
	$file_end   = "\n?>\n";	

	$target_fp = fopen("../languages/$target_lang.temp","w");
	fputs($target_fp,$file_start);

	while (list($key, $val) = each($HTTP_POST_VARS))
	{	if($val != "")
		{	$val = htmlentities($val);
			$define_string = "define ('$key', '$val');\n";
		}
		else
		{	$in_sync = 0;
			$define_string = "define ('$key', 'not defined');\n";
		}
		fputs($target_fp,$define_string);
	}

	fputs($target_fp,$file_end);
	fclose($target_fp);

	include("../languages/$originating_language.php");  

	// sending Header
	sendHeader();

	if(copy("../languages/$target_lang.temp","../languages/$target_lang.php"))
	{	echo "<br>". MSG_213 ."<br>";
	}
	else
	{	echo "<font color=\"darkred\">ERROR copying generated file to $target_lang_file</font>\n";
	}
		
	if(!(unlink("../languages/$target_lang.temp")))
	{	echo "<font color=\"darkred\">ERROR while unlinking $target_lang.temp!</font>\n";
	}
}
?>
<br>
<br>
<table border="0" width="100%">
<tr>
<td align="left">
<a href="javascript:parent.window.close()"
	onMouseover="document.images['exit'].src='.<? echo EXIT_2 ?>'"
	onMouseout ="document.images['exit'].src='.<? echo EXIT_1 ?>'">
<img src=".<? echo EXIT_1 ?>" name="exit" border=0 align="top"></a>
</td>
<td align="right">
<a href="javascript:openHelp()"
        onMouseover="document.images['help'].src='.<?PHP echo HELP_2 ?>'"
		onMouseout="document.images['help'].src='.<?PHP echo HELP_1 ?>'">
<img src=".<?PHP echo HELP_1 ?>" name="help" border=0 align="top"></a>
</td>
</tr></table>
</body>
</html>
