<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/
/**
 * $Id: admin-user.php,v 1.16 2001/04/08 15:52:18 fkr Exp $
 * $Log: admin-user.php,v $
 * Revision 1.16  2001/04/08 15:52:18  fkr
 * *** empty log message ***
 *
 * Revision 1.15  2001/04/07 22:18:15  fkr
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 */

include ("../lib/config.php");

$db 	 = new DB_connect;
$connect = $db->connect();

session_start();
$session_name = session_name();
$session_id   = session_id();

// loading language-file
if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("../languages/$language_file");
}
else
{       header("Location: index.php");
}

$sid = $session_name ."=". $session_id;
$sid2 = $db->get_object('sid',USER_TABLE,'name','admin',"");

if($sid != $sid2)
{       header("Location: admin-pass.php");
}

// user addition - kinda like a cow having kids
if((isset($add_user)) && ($add_user != ""))
{	$add_user = $db->doSlashes($add_user);
	$sql = "SELECT name FROM ". USER_TABLE ." WHERE name='$add_user'";
	$result = $db->query($sql);
	if($result)
	{	$objekt = $db->fetch_object($result);
		$db->free_result($result);
		$db_name = $objekt->name;
		if(isset($db_name))
		{	echo "<font color='red'>" . stripslashes($add_user) . MSG_124 . "!</font><br><br>";
		}
		else
		{	$add_user = htmlentities($add_user);
			$sql = "INSERT INTO ". USER_TABLE ." VALUES (null,'$add_user',null,'0',password('$password'),'','')";
			$result = $db->query($sql);
			if($result)
			{	echo "<font color='red'>" . stripslashes($add_user) . MSG_123 . "!</font><br><br>";
			}
		}
	}
}
	
// user deletion - final termination *eg*
// nothing gets reborn here *giggle*
if(isset($del_user))
{	$del_user = $db->doSlashes($del_user);
	$sql 	 = "DELETE FROM ". USER_TABLE ." WHERE name='$del_user'";
	$result  = $db->query($sql);
	$sql 	 = "DELETE FROM ". ADMIN_TABLE ." WHERE name='$del_user'";
	$result2 = $db->query($sql);
	if($result && $result2)
	{	echo "<font color='red'>" . stripslashes($del_user) . MSG_099 . "!</font><br><br>";
	}
}

// user modification - grants for rooms
if(isset($mod_user))
{	$mod_room = $db->doSlashes($mod_room);
	$sql 	 = "SELECT rid FROM ". ROOM_TABLE ." WHERE name='$mod_room'";
	$result  = $db->query($sql);
	$objekt_rid = $db->fetch_object($result);
	$mod_rid = $objekt_rid->rid;
	$db->free_result($result);
	$mod_user= $db->doSlashes($mod_user);
	$sql 	 = "SELECT name,rid FROM ". ADMIN_TABLE ." WHERE name='$mod_user' AND rid='$mod_rid'";
	$result  = $db->query($sql);
	$objekt  = $db->fetch_object($result);
	$db->free_result($result);
	$db_name = $objekt->name;
	$db_rid  = $objekt->rid;
	
	if($control == "add")
	{	if(isset($db_name) && $db_rid == $mod_rid)
		{	echo "<font color='red'>". stripslashes($mod_user) . MSG_094 ."'". stripslashes($mod_room) . "' !</font><br><br>";
		}
		else
		{	$objekt = "";
			$sql 	= "SELECT uid FROM ". USER_TABLE ." WHERE name='$mod_user'";
			$result	= $db->query($sql);
			$objekt = $db->fetch_object($result);
			$db->free_result($result);
			$uid    = $objekt->uid;
			$sql 	= "INSERT INTO ". ADMIN_TABLE ." VALUES ('$uid','$mod_rid','$mod_user')";
			$result = $db->query($sql);
			if($result)
			{	echo "<font color='red'>". stripslashes($mod_user) . MSG_095 ."'". stripslashes($mod_room) . "' !</font><br><br>";
			}
		}
	}
	if($control == "drop")
	{	if(isset($db_name) && $db_rid == $mod_rid)
		{	$sql 	= "DELETE FROM ". ADMIN_TABLE ." WHERE name='$mod_user' AND rid='$mod_rid'";
			$result = $db->query($sql);
			if($result)
			{	echo "<font color='red'>". stripslashes($mod_user) . MSG_096 ."'". stripslashes($mod_room) . "' !</font><br><br>";
			}
		}
		else
		{	echo "<font color='red'>". stripslashes($mod_user) . MSG_097 ."'". stripslashes($mod_room) . "' !</font><br><br>";
		}
	}
}			
?>
<html>
<head>
	<title><?PHP echo MSG_087 ?></title>
<script language="JavaScript">
<!--
	function openIt(name,title) 
	{	window.open(name,title,'width=270,height=400,scrollbars=yes');
	}

	function openHelp() 
	{       window.open('admin-help.php?<?PHP echo $session_name ."=". $session_id; ?>','<?PHP echo MSG_080 ?>','width=420,height=400,scrollbars=yes');
	}
//-->
</script>
</head>
<body bgcolor=#EEEEEE>
<b><?PHP echo MSG_087 ?></b>
<FORM action="admin-user.php" method="post">
<table border="0" width="100%">
<tr>
	<td><b><?PHP echo MSG_120 ?></b></td>
</tr>
<tr>
	<td><?PHP echo MSG_122 ?><input type="text" maxlength="20" name="add_user"></td>
	<td><?PHP echo MSG_121 ?><input type="password" name="password">
	<?PHP
	echo "<input type=\"hidden\"  name=\"". session_name() ."\" value=\"". session_id() ."\">";
	?>
	</td>
	<td align="right"><input type="submit" value="   <?PHP echo MSG_145 ?>   "></td>
</tr></table>
</form>
<FORM action="admin-user.php" method="post">
<table border="0" width="100%">
<tr>
	<td><b><?PHP echo MSG_090 ?></b></td>
</tr><tr>
	<td><?PHP echo MSG_098 ?><select name="mod_user">
	<?PHP
	$sql  	= "SELECT name FROM ". USER_TABLE ." WHERE pass != '' ";
	$result	= $db->query($sql);
	while ($row = $db->fetch_array($result,1)) 
	{	$name = $row["name"];
		echo "<option>$name";
	}
	$db->free_result($result);
	?>
	</select> <?PHP echo MSG_153 ?>  </td>
	<td><select name=mod_room>
	<?PHP
	$sql  	= "SELECT name FROM ". ROOM_TABLE;
	$result	= $db->query($sql);
	while ($row = $db->fetch_array($result,1))
	{	$room_name = $row["name"];
		echo "<option>$room_name";
	}
	$db->free_result($result);
	?>
	</select></td>
	<td> <?PHP echo MSG_148 ?>: <br><?PHP echo MSG_149 ?>: </td> 
	<td><input type=radio name=control value=add><br><input type=radio name=control value=drop>
	<?PHP
	echo "<input type=\"hidden\"  name=\"". session_name() ."\" value=\"". session_id() ."\">";
	?>
	</td>
	<td align="right"><input type=submit value="<?PHP echo MSG_146 ?>"></td>
</tr></table>
</form>
<form action="admin-user.php" method="post">
<table border="0" width="100%">
<tr>
	<td><b><?PHP echo MSG_089 ?></b></td>
</tr>
<tr>
	<td><?PHP echo MSG_098 ?><select name="del_user">
	<?PHP
	$sql  	= "SELECT name FROM ". USER_TABLE ." WHERE pass != '' ";
	$result	= $db->query($sql);
	while ($row = $db->fetch_array($result,1)) 
	{	$name = $row["name"];
		echo "<option>$name";
	}
	$db->free_result($result);
	?>
	</select></td>
	<td align="right">
	<?PHP
        echo "<input type=\"hidden\"  name=\"". session_name() ."\" value=\"". session_id() ."\">";
        ?>
	<input type="submit" value="<?PHP echo MSG_147 ?>"></td>
</tr>
</table>
</form>
<table border="0" width="100%">
<tr>
<td align="left">
<a href="javascript:parent.window.close()"
	onMouseover="document.images['exit'].src='.<? echo EXIT_2 ?>'"
	onMouseout ="document.images['exit'].src='.<? echo EXIT_1 ?>'">
<img src=".<? echo EXIT_1 ?>" name="exit" border=0 align="top"></a>
</td>
<td align="middle">
<a href="javascript:openIt('admin-listperms.php?<?PHP echo $sid ?>','permissions')"
        onMouseover="document.images['list'].src='.<?PHP echo LIST_2 ?>'"
	onMouseout="document.images['list'].src='.<?PHP echo LIST_1 ?>'" alt="Liste zeigen">
<img src=".<?PHP echo LIST_1 ?>" name="list" border=0 align="top"></a>
</td><td align="right">
<a href="javascript:openHelp()"
        onMouseover="document.images['help'].src='.<?PHP echo HELP_2 ?>'"
		onMouseout="document.images['help'].src='.<?PHP echo HELP_1 ?>'">
<img src=".<?PHP echo HELP_1 ?>" name="help" border=0 align="top"></a>
</td>
</tr></table>
</body>
</html>
