<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/

/** 
 * $Id: commands.php,v 1.18 2001/04/07 22:18:11 fkr Exp $
 * $Log: commands.php,v $
 * Revision 1.18  2001/04/07 22:18:11  fkr
 *
 *
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 *
 * Revision 1.17  2001/03/24 18:06:14  fkr
 * - worked some more on the session-management (no need for '--enable-trans-sid'
 *   any more
 *
 * - redesigned language-modul
 */ 

include ("./lib/config.php");

@session_start();
$session_name = session_name();
$session_id   = session_id();

// building an database object
$db      = new DB_connect();
$connect = $db->pconnect();


// loading language-file
if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("./languages/$language_file");
}
else
{       header("Location: index.php");
}

// uprofiles enabled?
$uprofiles = $db->get_object("user_profiles",CONFIG_TABLE,"config_state","active","");
?> 

<html>
<head>
  <title>Commands med-chat</title>
  <SCRIPT LANGUAGE=JavaScript>
<!--

function openHelp() 
{	window.open('help.php?<?PHP echo $session_name ."=". $session_id; ?>','<?PHP echo MSG_080 ?>','width=250,height=400,scrollbars=yes');
}

var swept= "no";
function quitChat()
{	if(swept != "yes")
	{	location.href="quit.php?<?PHP echo $session_name ."=". $session_id; ?>";
		swept = "yes";
	}
}


<?PHP

// as admin you get ban-function as javascript
if($admin == "1")
{	echo "function openBan()\n".
	     "{ window.open('ban.php?$session_name=$session_id','crap','width=430,height=270,scrollbars=yes');\n".
	     "}\n";
}

// either be admin or registered user to get some
// extened functions
if(($admin == "2") || ($admin == "1"))
{	echo "function openWhois()\n".
	     "{	window.open('whois.php?$session_name=$session_id','test','width=430,height=270,scrollbars=yes');\n".
	     "}\n";
	
	echo "function openMe()\n".
	     "{ window.open('uprofiles.php?$session_name=$session_id','test','width=430,height=270,scrollbars=yes');\n".
	     "}\n";
}

?>

// -->
</SCRIPT>

</head>
<body bgcolor="#B0C4DE" onUnload="quitChat()" marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" >
<font face="Verdana,sans-serif" size="-1" color="darkblue">
<img src="<?PHP echo COMMANDS ?>" border="0"><br><br>
<center>
<a href="javascript:quitChat()"
        onMouseover="document.images['quit'].src='<?PHP echo EXIT_2 ?>'"
	onMouseout="document.images['quit'].src='<?PHP echo EXIT_1 ?>'">
<img src="<?PHP echo EXIT_1 ?>" name="quit" border="0" align="top"></a><br><br>
<a href="javascript:openHelp()"
        onMouseover="document.images['help'].src='<?PHP echo HELP_2 ?>'"
	onMouseout="document.images['help'].src='<?PHP echo HELP_1 ?>'">
<img src="<?PHP echo HELP_1 ?>" name="help" border="0" align="top"></a><br><br>
<?PHP
if(($uprofiles == "1") && (($admin == "2") || ($admin == "1")))
{	echo "<a href=\"javascript:openMe()\"\nonMouseover=\"document.images['me'].src='". ME_2 ."'\"\n".
             "onMouseout=\"document.images['me'].src='". ME_1 ."'\">\n".
	     "<img src=\"". ME_1 ."\" name=\"me\" border=\"0\" align=\"top\"></a><br><br>\n";
	echo "<a href=\"javascript:openWhois()\"\nonMouseover=\"document.images['who'].src='". WHO_2 ."'\"\n".
	     "onMouseout=\"document.images['who'].src='". WHO_1 ."'\">\n".
	     "<img src=\"". WHO_1 ."\" name=\"who\" border=\"0\" align=\"top\"></a><br><br>\n";
}

// this one checks wether the user is a admin-user or not.
if($admin == "1")
{	$sql     = "SELECT * FROM ". ADMIN_TABLE ." WHERE uid='$uid' AND rid='$rid'";
	$result  = $db->query($sql);
	$ok	 = $db->fetch_object($result);
	if($ok)
	{	echo "<br><br><br><br><img src=\"". ADM ."\"><br><br>". 
		     "<a href=\"javascript:openBan()\" onMouseover=\"document.images['ban'].src='". BAN_2 . "'\"".
		     " onMouseout=\"document.images['ban'].src='" . BAN_1 . "'\">".
		     " <img src=\"" . BAN_1 . "\" name=\"ban\" border=\"0\" align=\"top\"></a>";
	}
	$db->free_result($result);
}
?>
</center>
</font>
</body>
</html>
