<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/
/**
 * $Id: db-setup.php,v 1.47 2001/04/10 05:13:40 fkr Exp $
 * $Log: db-setup.php,v $
 * Revision 1.47  2001/04/10 05:13:40  fkr
 * *** empty log message ***
 *
 */

// here we need to load defines directly
// usually they get loaded from withing config.php
include ("./lib/defines.php");
include ("./languages/english.php");


// don't edit these here - edit them in ./lib/defines.php
$default_room_name = DEFAULT_ROOM_NAME;
$default_room_desc = DEFAULT_ROOM_DESC;
$version           = VERSION;
$version_non       = VERSION_NON;

function loadDatabaseDriver($database_driver)
{	echo "Trying to load database-driver: $database_driver....";
	define('DB_HOST',"");
	define('DATABASE',"");
	define('DB_USER',"");
	define('DB_PASSWORD',"");
	
	if(($database_driver == "mysql-3.22") || ($database_driver == "mysql-3.23"))
	{       $success = include("./lib/classes-mysql.php");
		if($success)
	        {       echo " loading successful!<br>";
		}
		else
		{       echo "<font color=\"red\"> loading failed!<br>";
		}
	}
}

function sendHeader()
{	global $version;
	global $version_non;
	echo "<html>\n<head>\n<title>med-chat iu-tool for version: $version_non</title>\n".
             "</head>\n<body bgcolor=\"white\">\n<font face=\"arial\">";
}

function sendFooter()
{	echo "\n<br>\n<br>Have you considered signing up to the med-chat Mailing-List?<br>\n".
             "To subscribe, send a mail to <a href=\"mailto:majordomo@med-chat.org\">majordomo@med-chat.org</a><br>\n".
	     "with the body of the mail containing: \"subscribe medchat-users\"<br>\n<br>\n".
	     "Thanks for choosing med-chat!<br>\n";
}

function insert_languages()
{	global $db;
	echo "Inserting Languages<br>";
	$sql = "INSERT INTO ". LANGUAGES_TABLE . " (language_name, language_file, language_image, ".
     	       "language_maintainer, language_maintainer_mail, sync) ".
	       "VALUES ('english','english.php','english-flag.gif','Felix Kronlage','fkr@med-chat.org','1')";
	$db->query($sql);
	echo "English: $sql<br>";
	$sql = "INSERT INTO ". LANGUAGES_TABLE . " (language_name, language_file, language_image, ".
               "language_maintainer, language_maintainer_mail, sync) ".
               "VALUES ('german','german.php','german-flag.gif','Felix Kronlage','fkr@med-chat.org','1')";
        $db->query($sql);
        echo "German: $sql<br>";
        $sql = "INSERT INTO ". LANGUAGES_TABLE . " (language_name, language_file, language_image, ".
               "language_maintainer, language_maintainer_mail, sync) ".
               "VALUES ('spanish','spanish.php','spanish-flag.gif','Gerardo Luna','gerardo@med-chat.org','1')";
        $db->query($sql);
        echo "Spanish: $sql<br>";
        $sql = "INSERT INTO ". LANGUAGES_TABLE . " (language_name, language_file, language_image, ".
               "language_maintainer, language_maintainer_mail, sync) ".
	       "VALUES ('italian','italian.php','italian-flag.gif','Luca Pescatore','luca@med-chat.org','1')";
        $db->query($sql);
        echo "Italian: $sql<br>";
}

if(!isset($cmd))
{	sendHeader();
        echo "<table width=\"100%\">\n<tr>\n<td><img src=\"./img/MED-CHAT.gif\" border=\"0\"></td>\n".
             "<td align=\"right\"><font face=\"arial\"><h3>med-chat iu-tool for version: $version</h3></font></td>\n</tr>\n</table>\n";
	echo "<br><font color=\"darkblue\">Doing some pre-installing tests....<br>\nChecking php-version: \n";
	
	if(floor(phpversion() == 4))
        {	echo "perfect. version is: <b>" . phpversion() . "</b><br><br>";
	}
	else
	{	$err = "</font><font color=\"red\"><b>Your version of php (version: ". phpversion() .") is not supported.</b><font><br>";
	}

	if(!isset($err))
	{	echo "checking wether I'm allowed to write into webspace....\n";
		 $fp = fopen("./lib/test.inc","w");
		 if($fp)
		 {	echo "fine. I can write to the webspace.<br>".
		             "<h3>looks just like a perfect place to install med-chat to.</font></h3><br><br>";
		 	fclose($fp);
			unlink("./lib/test.inc");
		 }
		 else
		 {	echo "</font><b><font color=\"red\">Encountered trouble writing file.</b><br>".
		             "This is not uncommon to happen, actually it's a rather normal case.<br>".
			     "Upload via ftp an empty file called 'config.php' into the lib-dir<br>".
			     "med-chat/lib/ and change the file-mode on it to: 666.<br>".
			     "Then continue with regular installation.<br><br>";
		 }
	}
	
	if(!isset($err))
	{	echo "<a href=\"db-setup.php?cmd=question\">Install new med-chat site</a><br><br>\n".
	     	     "<a href=\"db-setup.php\">Update existing med-chat site</a> (not available in this version)<br>\n".
		     "Read the following if your are a doing a <a href=\"SECURITY-UPDATE\">security update</a><br><br>\n".
	     	     "<a href=\"db-setup.php?cmd=phpinfo\">Show phpinfo for this webserver</a><br><br>\n";
	}
	else echo "<font face=\"red\">$err</font><br>\n".
	          "More information probably at: <a href=\"http://www.med-chat.org/\">med-chat dev-corner</a><br>\n";
}

// asking our questions
if(isset($cmd) && $cmd == "question")
{	sendHeader();
	echo "<h2><u>Some things I need to know...</u></h2>\n".
             "<form action=\"db-setup.php\" method=\"post\">\n";
	echo "<table border=\"1\" groups=\"rules\">\n<tr>\n<td><font face=\"arial\" color=\"darkblue\">".
	     "<h2>Only fill these out, if you're your own admin!<br>\n".
	     "</font></h2><h3><font face=\"arial\">database-admin-user needs create/drop db, grant/revoke ".
	     "privileges.</h3></font></td>\n</tr>\n".
	     "<tr>\n<td width=\"500\">\n<table border=\"0\"><tr>\n<td><font face=\"arial\">".
	     "database-admin-user (e.g. root):<br><b>Attention!</b>This will try to drop the<br>database entered below!".
	     "</font></td>\n<td width=\"200\">".
	     "<input type=\"text\" name=\"db_root\" size=\"30\"></td>\n</tr>\n".
	     "<tr>\n<td width=\"200\"><font face=\"arial\">password:</font></td>\n".
	     "<td><input type=\"password\" name=\"pass\" size=\"30\"></td>\n</tr>\n</table>\n</td>\n</tr>\n";
	echo "<tr>\n<td><font face=\"arial\" color=\"darkblue\"><h2>general database access-information</h2></font>".
	     "</td>\n</tr>\n".
	     "<tr>\n<td>".
	     "<table border=\"0\">\n".
	     "<tr>\n<td width=\"200\">\n<h3><font face=\"arial\">Datenbase Host:<font></h3></td>\n".
	     "<td><font face=\"arial\">localhost is the most common value.<br>\n".
	     "<input type=\"text\" name=\"host\" value=\"localhost\" size=\"30\">".
	     "</font><br><br><br></td>\n</tr>\n";
	echo "<tr>\n<td width=\"200\">\n<h3><font face=\"arial\">Database-Name:</font></h3></td>\n".
	     "<td><font face=\"arial\">If your're your own admin, medchat is a good name. (no '-' allowed)<br>\n".
	     "Otherwise, you got this name form your provider.<br>\n".
	     "<input type=\"text\" name=\"database\" size=\"30\"></font><br><br><br></td>\n</tr>\n";
	echo "<tr>\n<td width=\"200\">\n<h3><font face=\"arial\">Database-User:</font></h3><br><br></td>\n".
	     "<td><font face=\"arial\">If your're your own admin, choose a username.<br>\n".
	     "Otherwise, you got this username from your provider.<br>\n".
	     "<input type=\"text\" name=\"db_user\" size=\"30\"></font><br><br><br></td>\n</tr>\n";
	echo "<tr>\n<td width=\"200\">\n<h3><font face=\"arial\">Password:</font></h3><br><br></td>\n".
	     "<td>\n<font face=\"arial\">If your're your own admin, choose a hard one to guess.<br>\n". 
	     "Otherwise, you got this database-password from your provider.<br>\n".
	     "<input type=\"password\" name=\"db_pass\" size=\"30\"></font><br><br><br></td>\n</tr>\n".
	     "<tr>\n<td width=\"200\"><h3><font face=\"arial\">database-driver:</font></h3></td>\n".
	     "<td><select name=\"database_driver\">\n<option selected>mysql-3.22\n<option>mysql-3.23\n".
	     "</select>\n</td>\n</tr>\n</table>\n</td>\n</tr>\n";
	echo "<td><table border=\"0\"><font face=\"arial\" color=\"darkblue\"><h2>general med-chat configuration</h3></font></td>\n</tr>\n".
	     "<tr>\n<td><h3><font face=\"arial\">admin-user-password:</font></h3></td>\n".
	     "<td><input type=\"password\" name=\"admin_password\"></td>\n</tr>\n".
	     "<td><input type=\"hidden\" name=\"cmd\" value=\"install\"></td>\n".
	     "<td><input type=\"submit\" value=\"done\"></td>\n</tr>\n</table>\n</td>\n</tr>\n</table></form>\n";
}
// initilizing the real basics as root
if(isset($cmd) && $cmd == "install")
{	sendHeader();
	echo "<font color=\"darkblue\"><h2>Running installation of med-chat!</h2></font>";

	if($db_root != "")
	{	echo "<h3><u>Installation of med-chat version:  $version</u></h3>";
		echo "Running first initalizing of the database $database as user: $db_root<br>";
		loadDatabaseDriver($database_driver);

		echo "1) Trying to establish connection to database-Server via $database_driver at $host....<br>";
		
		// building database-object
		$db = new DB_connect;
		$db->setUser($db_root);
		$db->setPass($pass);
		$db->setHost($host);
		$db->setRootRun();
		
		if($result = $db->connect()) 
		{	echo "Connection to $host established.<br><br>";
		}

		// just checking if it's still there
		if($result = $db->selectDb($database,false))
		{	$db->dropDb($database);
		}

		echo "2) Trying to create $database...<br>";

		if($result = $db->createDb($database))
		{	echo "creation of $database successfull.<br><br>";
		}

		echo "3) Trying to give privileges on $database.* to $db_user@$host...<br>";

		$sql = "GRANT ALL PRIVILEGES ON $database.* TO $db_user@$host IDENTIFIED BY '$db_pass'";
		echo $sql;
		if($result = $db->query($sql)) 
		{	echo "granting was successfull.<br><br>";
		}
		$db->close();
	}

	// ok. root-part is over. Safe stuff comes now :-)

	if($db_root != "")
	{	echo "<br><h4>Switching users, running rest of script as user $db_user</h4><br>";
	}
	else
	{	echo "<H4>Initializing database $database as user $db_user<h4><br>";
		loadDatabaseDriver($database_driver);
	}

	echo "<br>Trying to load config-writer...";
	$success = include("./lib/configWriter.php");
	if($success)
	{	echo "loaded successfully<br><br>";
		$cf = new configWriter;
		$cf->setStuff($db_user,$db_pass,$host,$database,$database_driver);
		$success = $cf->writeConfig();
	}
	else
	{	$success = false;
	}
	
	if(!$success) 
	{	echo "<font color=\"red\">configWriter.php couldn't be loaded.<br><br>".
	             "Please install config file by hand.<br>".
		     "For more informations on how to do this, look <a href=\"./doc/en/INSTALL\">here</a>.</font><br>";
		exit;
	}
		  

        $db = new DB_connect;
        $db->setStuff($db_user,$db_pass,$host,$database);
        $db->connect();
	
	
	$success = $db->selectDb($database,true);
	if(!$success) $db->error("Failed to select database: $database");

	echo "4) executing the following queries onto $database@$host:<br>";

	// $database.user block!
	if($table_exists =  $db->table_exists($database,USER_TABLE))
	{	$sql 	= "DROP TABLE $database." . USER_TABLE;
		$result = $db->query($sql);
		if($result)
		{	echo "$database.". USER_TABLE ." existed on the system. I dropped it!<br>";
		}
		unset($table_exists);
	}
	$sql = "CREATE TABLE $database." . USER_TABLE ." (uid integer auto_increment primary key,name varchar(20),last timestamp,".
       		"rid integer,pass varchar(64),ip text, sid varchar(64))";
	$db->query($sql);

	echo "4a) $sql<br>";


	// $database.room block!
	if($table_exists = $db->table_exists($database,ROOM_TABLE))
	{       $sql    = "DROP TABLE $database." . ROOM_TABLE;
        	$result = $db->query($sql);
		if($result)
		{       echo "$database." . ROOM_TABLE ." existed on the system. I dropped it!<br>";
		}
		unset($table_exists);
	}
	$sql = "CREATE TABLE $database.". ROOM_TABLE ." (rid integer auto_increment primary key,name varchar(20),". 
       	       "descript varchar(255),typ varchar(1),adminid integer)";
	$db->query($sql);

	echo "4b) $sql<br>";


	// $datbase.admin block!
	if($table_exists = $db->table_exists($database,ADMIN_TABLE))
	{       $sql    = "DROP TABLE $database.". ADMIN_TABLE;
        	$result = $db->query($sql);
		if($result)
		{       echo "$database.". ADMIN_TABLE ." existed on the system. I dropped it!<br>";
		}
		unset($table_exists);
	}
	$sql = "CREATE TABLE $database.". ADMIN_TABLE ." (uid integer,rid integer,name varchar(20))";
	$db->query($sql);

	echo "4c) $sql<br>";


	// $database.message block!
	if($table_exists = $db->table_exists($database,MESSAGE_TABLE))
	{       $sql    = "DROP TABLE $database.". MESSAGE_TABLE;
       		 $result = $db->query($sql);
		if($result)
		{       echo "$database.". MESSAGE_TABLE ." existed on the system. I dropped it!<br>";
		}
		unset($table_exists);
	}
	if($database_driver == "mysql-3.23")
	{ 	echo "<br>Running on a host with mysql-Server Version $database_driver<br>".
        	     "$database.". MESSAGE_TABLE ." is created <b>not</b> being a heap-table.<br>";
		$sql =  "CREATE TABLE $database.". MESSAGE_TABLE ." (time timestamp, mid integer auto_increment primary key not null,".
	       	        "rid integer,send_id integer,".
               		"rcpt_id integer,sender varchar(20),message text);";
	}

	if($database_driver == "mysql-3.22")
	{       echo "<br>Running on a host with mysql-Server Version $database_driver<br>".
        	     "$database.". MESSAGE_TABLE ." is created <b>being</b> a heap-table.<br>";
		$sql = 	"CREATE TABLE $database.". MESSAGE_TABLE ." (time timestamp, mid integer auto_increment primary key not null,".
	       		"rid integer,send_id integer,".
	       		"rcpt_id integer,sender varchar(20),message text) type=heap";
	}

	$db->query($sql);

	echo "4d) $sql<br>";


	// $database.blocked block!
	if($table_exists = $db->table_exists($database,BLOCKED_TABLE))
	{       $sql    = "DROP TABLE $database.". BLOCKED_TABLE;
        	$result = $db->query($sql);
		if($result)
		{       echo "$database.". BLOCKED_TABLE ." existed on the system. I dropped it!<br>";
		}
		unset($table_exists);
	}
	$sql = "CREATE TABLE $database.". BLOCKED_TABLE ." (ip varchar(16), handle varchar(20))";
	$db->query($sql);

	echo "4e) $sql<br>";

	$sql = "INSERT INTO $database.". USER_TABLE ." values (1, 'admin', 0, 0, PASSWORD('$admin_password'),'','');";
	$db->query($sql);

	echo "4f) $sql<br>";

	$sql = "INSERT INTO $database.". ADMIN_TABLE ." values (1,1,'admin');";
	$db->query($sql);

	echo "4g) $sql<br>";

	$sql = "INSERT INTO $database.". ROOM_TABLE ."  values (null, '$default_room_name', '$default_room_desc', 'N', 100);";
	$db->query($sql);

	echo "4h) $sql<br>";

	// $database.config
	if($table_exists = $db->table_exists($database,CONFIG_TABLE))
	{	$sql 	= "DROP TABLE $database.". CONFIG_TABLE;
		$result = $db->query($sql);
		if($result)
		{	echo "$database.". CONFIG_TABLE ." existed on the system. I dropped it!<br>";
		}
		unset($table_exists);
	}
	$sql = "CREATE TABLE $database.". CONFIG_TABLE ." (config_state varchar(20), version varchar(20), user_profiles integer, ".
	       "background_url text, debug integer)";
	$db->query($sql);

	echo "4i) $sql<br>";

	$sql = "INSERT INTO $database.". CONFIG_TABLE ." VALUES ('active','". VERSION_NON ."','1','http://med-chat.hazardous.org/','0')";
	$db->query($sql);

	echo "4j) $sql<br>";

        // User-Profiles
	if($table_exists = $db->table_exists($database,UPROFILES_TABLE))
	{	$sql    = "DROP TABLE $database.". UPROFILES_TABLE;
		$result = $db->query($sql);
		if($result)
		{	echo "$database.". UPROFILES_TABLE ." existed on the system. I dropped it!<br>";
		}
		unset($table_exists);
	}
	
	$sql = "CREATE TABLE $database.". UPROFILES_TABLE ." (uid integer, handle text, firstname text, lastname text, e_mail text, homepage text, icq_uin text)";
	$db->query($sql);

	echo "4k) $sql<br>";

	// Languages
	if($table_exists = $db->table_exists($database,LANGUAGES_TABLE))
	{	$sql 	= "DROP TABLE $database.". LANGUAGES_TABLE;
		$result = $db->query($sql);
		if($result)
		{	echo "$database.". LANGUAGES_TABLE ." existed on the system. I dropped it!<br>";
		}
		unset($table_exists);
	}

	$sql = "CREATE TABLE $database.". LANGUAGES_TABLE ." (lang_id integer auto_increment primary key, language_name varchar(30), ".
	       "language_file varchar(30), language_image varchar(255), language_maintainer varchar(50), language_maintainer_mail varchar(80), sync integer)";
	$db->query($sql);

	echo "4l) $sql<br>";

	// inserting languages
	insert_languages();

	// databasse init done
	$db->close();

	sendFooter();

	echo "<br><br>All Initilization took place.<br>".
    	     "<a href=\"db-setup.php\">Back to main-menu</a><br>";
}

if(isset($cmd) && $cmd == "update")
{	// sending ui-header
	$err_flag = false;
	sendHeader();
	echo "<h3>med-chat iu-tool for version: $version</h3>";
	echo "<br>Need to alter this table:<br>\n". CONFIG_TABLE . "<br>\n".
	     "<br>Need to create this table:<br>\n". LANGUAGES_TABLE ."<br>\n";
	
	// loading the conf
	include("./lib/config.php");
	
	// connecting
	$db = new DB_connect;
        $db->connect();

	$sql 	= "ALTER TABLE ". CONFIG_TABLE ." ADD background_url text, debug integer";
	$result = $db->query($sql);
	if($result)
	{	$sql 	= "UPDATE ".CONFIG_TABLE ." set background_url='http://med-chat.hazardous.org/', ".
	                  "version='". VERSION_NON ."', debug='0' WHERE config_state='active'";
		$result = $db->query($sql);
		echo "1) $sql<br>";

		if(!$result)
		{	$err_flag = true;
		}
	}
	else
	{	$err_flag = true;
	}

	if(!$err_flag)
	{        $sql    = "CREATE TABLE $database.". LANGUAGES_TABLE ." (lang_id integer auto_increment primary key, language_name varchar(30), ".
	                   "language_file varchar(30), language_image varchar(255), language_maintainer varchar(50), language_maintainer_mail varchar(80), ".
			   "sync integer)";
	         $result = $db->query($sql);
		 echo "2) $sql<br>";
		 if(!$result)
		 {	$err_flag = true;
		 }
		 else
		 {	insert_languages();
		 }
	}

	if(!$err_flag)
	{	echo CONFIG_TABLE . " successfully modified.\n<br>".
	             LANGUAGES_TABLE ." successfully created\n<br>".
                    "Update of med-chat to $version_non successful.\n<br>".
                    "<a href=\"db-setup.php\">Back to main-menu</a><br>";
	}
        else
        {       echo "modification of ". CONFIG_TABLE ." or\n<br>".
		     "creation of ". LANGUAGES_TABLE ." failed.\n<br>".
                     "please report error to <a href=\"mailto:fkr@grummel.net\">fkr</a>\n<br>";
        }

	sendFooter();
}

if(isset($cmd) && $cmd == "updateFrom065")
{	// sending ui-header
	$err_flag = false;
        sendHeader();
        echo "<h3>med-chat iu-tool for version: $version</h3>";
	     "<br>Need to alter this table:<br>\n". CONFIG_TABLE . "<br>\n".
	     "<br>Need to create this table:<br>\n". LANGUAGES_TABLE ."<br>\n";

        // loading the conf
        include("./lib/config.php");

        // connecting
        $db = new DB_connect;
        $db->connect();

        $sql    = "ALTER TABLE ". CONFIG_TABLE ." ADD debug integer";
        $result = $db->query($sql);
	echo "1) $sql<br>\n";
        if($result)
	{	$sql    = "CREATE TABLE ". LANGUAGES_TABLE ." (lang_id integer auto_increment primary key, language_name varchar(30), ".
                	  "language_file varchar(30), language_image varchar(255), language_maintainer varchar(50), language_maintainer_mail varchar(80), ".
			  "sync integer)";
		$result = $db->query($sql);
        	echo "2) $sql<br>";
		if(!$result)
		{	$err_flag = true;
		}
		else
		{	insert_languages();
		}
	}
	else
	{	$err_flag = true;
	}

	if(!$err_flag)
	{	echo "<br>\n<br>\n". LANGUAGES_TABLE ." successfully created\n<br>".
		     CONFIG_TABLE . " successfully modified.\n<br>".
		     "Update of med-chat to $version_non successful.\n<br>".
                     "<a href=\"db-setup.php\">Back to main-menu</a><br>";
        }
        else
	{	echo "<br>\n<br>\nCreation of ". LANGUAGES_TABLE ." or<br>\n".
	             "modification of ". CONFIG_TABLE . " failed.<br>\n".
		     "please report error to <a href=\"mailto:fkr@grummel.net\">fkr</a>\n<br>";
	}

	sendFooter();
}

if(isset($cmd) && $cmd == "phpinfo")
{	phpinfo();
}
?>
</font>
</BODY>
</HTML>
