<?PHP
/**
 /**************************************************************************
 /* Written by / Copyright (C) 2000/2001                                   *
 /* Felix Kronlage                                                         *
 /* <fkr@grummel.net>                                                      *
 /* http://www.hazardous.org/                                              * 
 /* whois -h whois.ripe.de FKR-RIPE                                        *
 /**************************************************************************

 * $Id: classes-mysql.php,v 1.15 2001/04/08 15:52:19 fkr Exp $
 * $Log: classes-mysql.php,v $
 * Revision 1.15  2001/04/08 15:52:19  fkr
 * *** empty log message ***
 *
 * Revision 1.14  2001/04/08 14:54:54  fkr
 * *** empty log message ***
 *
 * Revision 1.13  2001/04/07 22:18:17  fkr
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 *
 *
 */

// create class resposible for connecting to db
// $db = new DB_connect; constructs a new objekt of this.

class DB_connect  
{
  	var $classname       = "DB_connect";
  	var $CONN             = "";
  	var $ROW              = "";
  	var $RESULTS          = "";
  	var $UID              = "";
 	var $HOST             = DB_HOST;
  	var $DB               = DATABASE;
  	var $USER             = DB_USER;
  	var $PASS             = DB_PASSWORD;
	var $ROOT_RUN         = "";
	var $DEBUG	      = DEBUG;
	var $VERSION	      = "mysql-driver med-chat-lib 1.14";
	
	// connection to our db - change defines in config.php
	// this is a regular connect
 	// returns true on success!
	// used via $db->connect();
	function connect() 
	{	$user = $this->USER;
  		$pass = $this->PASS;
  		$host = $this->HOST;
  		$db   = $this->DB;
  		$conn = mysql_connect($host,$user,$pass);

		// error-handling first for connection, second for
		// db-finding
	
  		if(!$conn) 
		{	$this->error("Connection to $db on $host failed.");
  		}

		if($this->ROOT_RUN != "yes")
		{	$this->selectDb($this->DB,false);
		}
  		
		$this->CONN = $conn;
	        return true;
	}

	// connection to our db - change defines in config.php
	// this is a persisten connection
	// returns true on success
	// used vi $db->pconnect();
	function pconnect()
	{       $user = $this->USER;
		$pass = $this->PASS;
	        $host = $this->HOST;
	        $db   = $this->DB;
	        $conn = mysql_pconnect($host,$user,$pass);

		// error-handling first for connection, second for
		// db-finding

		if(!$conn)
                {       $this->error("Connection to $db on $host failed.");
                }

		if($this->ROOT_RUN != "yes")
                {	$this->selectDb($this->DB,false);
		}

		$this->CONN = $conn;
                return true;
	}
	
	// this handles all errors
	// call it via $db->error(your_text);
	function error($text) 
	{	$no = mysql_errno();
		$msg= mysql_error();
		echo "<font color='red'>[$text] ( $no : $msg )<BR></font>\n";
		// exit;
	}
  	
	function selectDb($database,$err)
	{	$success = @mysql_select_db($database);
		if($success)
		{	return $success;
		}
		else
		{	if($err)
			{	$this->error("Can't select database $database");
			}
		}
	}

	function dropDb($database)
	{	$success = mysql_drop_db($database);
		if($success)
		{	return $success;
		}
		else
		{	$this->error("Can't drop database $database");
		}
	}

	function createDb($database)
	{	$success = mysql_create_db($database);
		if($success)
		{	return $success;
		}
		else
		{	$this->error("Can't create database $database");
		}
	}
		
	// doing a general query
	// use it via $db->query(your_sql_statement);
	function query($sql) 
	{	$conn 		= $this->CONN;
		$results 	= mysql_query($sql,$conn);
		// this way we don't have to check the results
		// in the main code for false.
		if(!$results) 
		{ $this->error("Something bad happened quering the database: "); 
		}
	        $this->RESULTS 	= $results;	
		return $results;
	}
	
	// doing a general query without error-checking
	function query_quiet($sql)
	{	$conn           = $this->CONN;
		$results	= mysql_query($sql,$conn);
		return $results;
	}
	
	// verify user, looks if a user is already active
	// use it via $db->verify_user($user);
	// called from separate.php
	function verify_user($user) 
	{	$user   = $this->doSlashes($user);
		$sql 	= "SELECT name,pass,uid FROM ". USER_TABLE ." WHERE name='$user'";
		$result = $this->query($sql);
		$row 	= $this->fetch_array($result,1);
		$this->free_result($result);
		return $row;
	}

	// password check agains database
	// use it via $db->check_pass($user,$pass)
	// called from pass.php
	function check_pass($user,$pass)
	{	$user     = $this->doSlashes($user);
		$Pass     = $this->doSlashes($pass);
		$sql 	  = "SELECT * FROM ". USER_TABLE ." WHERE name='$user' AND pass=password('$pass');";
		$result   = $this->query($sql);
		$num      = $this->num_rows($result);
		$this->free_result($result);
		return $num;
	}

	// should get called at several places 
	// cleans out stale users
	// returns $result
	function clean_user()
	{	$timestamp 	 = date("YmdHis");
		$timestamp-=180;
		$sql = "DELETE FROM ". USER_TABLE ." WHERE (pass is null or pass='') AND (last < $timestamp);";
		$result	= $this->query($sql);
		$sql 	= "UPDATE ". USER_TABLE ." set rid='0', ip='', sid='' WHERE last<$timestamp;";
		$result = $this->query($sql);
		return $result;
	}
	
	// this one actually starts the chat- fire it up baby :-)
	// if regular user called from separate.php
	// of admin-user called from pass.php
	function start_chat($user,$name,$rid,$descript,$admin,$langid)
	{	
		// we need to get ip-address
		global $REMOTE_ADDR;
		$ip  = $REMOTE_ADDR;
		global $uid;
		
		// one for regular users, inserts the user
		if($admin == "0")
		{	$user_slash = $this->doSlashes($user);
			$sql	= "INSERT INTO ". USER_TABLE ." VALUES (null,'$user_slash',null,'$rid','','$ip','')";
			$result	= $this->query($sql);
			$txt    = $this->doSlashes(rawurlencode($user . " " . MSG_159));
		}

		// one for admin-user, updates their $database.user
		// entrie
		if(($admin == "1") || ($admin == "2"))
		{	$user_slash = $this->doSlashes($user);
			$sql	= "UPDATE ". USER_TABLE ." SET rid='$rid',ip='$REMOTE_ADDR' WHERE name='$user_slash'";
			$result	= $this->query($sql);
			$txt    = $this->doSlashes(rawurlencode($user . " " . MSG_159));
		}
		
		if($result)
		{	session_start();
			
			// get the uid of the user
			$uid     = $this->get_object("uid",USER_TABLE,"name",$user,"");
			
			// now register all the variables we need during
			// the chat.
			$good = session_register("user","uid","name","rid","descript","admin","ip","langid");
			if(!$good)
			{	echo "Error encountered initializing the session.<br>";
			}

			// instead of doing $sid = SID, we call these two function
			// fallback for php without --enable-trans-sid
			$session_name 	 = session_name() ;
			$session_id      = session_id();
			
			$sql	 = "UPDATE ". USER_TABLE ." SET sid='$session_name=$session_id' WHERE name='$user_slash'";
			$result  = $this->query($sql);
			$sql     = "INSERT INTO ". MESSAGE_TABLE ." VALUES (null,null,'$rid','$uid','-3','system','$txt')";
			$result  = $this->query($sql);
			$id      = mysql_insert_id();
			header("Location: startchat.php?$session_name=$session_id&id=$id");
		}
		// acutally we should never get here, if we
		// do something is really messed up *sigh*
		else
		{	$text = "Error happened inserting user.";
			$this->error($text);
		}
	}
	
	// this function return true if $database.$table exists
	function table_exists($database,$table)
	{	$result2 = mysql_list_tables($database);
		$i = 0;
		while($i < mysql_num_rows($result2))
		{	$table_name = mysql_tablename($result2, $i);
			if($table_name == $table)
			{	$table_exists = "yes";
			}
			$i++;
		}
		mysql_free_result($result2);
		if(isset($table_exists) && $table_exists == "yes")
		{	return true;
		}
	}

	function fetch_row($result)
	{	$row = mysql_fetch_row($result);
		return $row;
	}

	function get_object($object,$table,$field,$value,$check)
	{       $value = $this->doSlashes($value);
		$sql = "SELECT $object FROM $table WHERE $field='$value'";
		if($check == "QUIET")
		{       $result            = $this->query_quiet($sql);
		}
		else
		{	$result            = $this->query($sql);
		}
		$object_db     = mysql_fetch_object($result);
		$object_return = $object_db->$object;
		$this->free_result($result);
		return $object_return;
	}

	function fetch_array($result,$int)
	{	switch($int)
		{	case 1: 
				$row = mysql_fetch_array($result,MYSQL_ASSOC);
				break;
			
			case 2:
				$row = mysql_fetch_array($result,MYSQL_NUM);
				break;
		
			case 3:
			 	$row = mysql_fetch_array($result,MYSQL_BOTH);
				break;
			
			default:
				$row = mysql_fetch_array($result,MYSQL_BOTH);
				break;
		}
		return $row;
	}
	
	function free_result($result)
	{	mysql_free_result($result);
	}

	function fetch_object($result)
	{	$object = mysql_fetch_object($result);
		return $object;
	}

	function num_rows($result)
	{	$num = mysql_num_rows($result);
		return $num;
	}
				
	function close()
	{	mysql_close($this->CONN);
	}
        
	// mutator-funktionen
	function setUser($user)
	{	$this->USER = $user;
	}

	function setPass($pass)
	{	$this->PASS = $pass;
	}

	function setHost($host)
	{	$this->HOST = $host;
	}

	function setDB($database)
	{	$this->DB = $database;
	}

	function setRootRun()
	{	$this->ROOT_RUN = "yes";
	}

	function setStuff($user,$pass,$host,$database)
	{	$this->setUser($user);
		$this->setPass($pass);
		$this->setHost($host);
		$this->setDb($database);
	}

	function getVersion()
	{	return $this->VERSION;
	}

	function doSlashes($sql)
	{	if(($i = get_magic_quotes_gpc()) == 0)
		{	$sql = addslashes($sql);
		}

		return $sql;
	}
}
return true;
?>
