<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/
/**
 * $Id: no-user.php,v 1.10 2001/04/07 22:18:12 fkr Exp $
 * $Log: no-user.php,v $
 * Revision 1.10  2001/04/07 22:18:12  fkr
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 *
 * Revision 1.9  2001/03/24 18:06:15  fkr
 * - worked some more on the session-management (no need for '--enable-trans-sid'
 *   any more
 *
 * - redesigned language-modul
 *
 * Revision 1.8  2001/03/18 16:42:33  fkr
 * - changed session-management changed to work without '--enable-trans-sid'
 *
 * Revision 1.7  2001/03/01 20:07:49  fkr
 * - renamed $db->connect() to $db->pconnect();
 * - added a real non-persistent connect called $db->connect()
 * - renamed all calls in chat from $db->connect() to $db->pconnect()
 */

include ("./lib/config.php");

@session_start();
$session_name = session_name();
$session_id   = session_id();

// building an database object
$db      = new DB_connect();
$connect = $db->pconnect();


// loading language-file
if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("./languages/$language_file");
}
else
{       header("Location: index.php");
}

$sql 	 = "SELECT name FROM ". ROOM_TABLE ." WHERE rid='$rid'";
$result  = $db->query($sql);
$objekt  = $db->fetch_object($result);
$name    = $objekt->name;
$db->free_result($result);
?>

<html>
<head>
	<title> </title>
<script language=JavaScript>
<!--
function openHelp() 
{
	window.open('help.php','<?PHP echo MSG_080 ?>','width=250,height=400');
}
//-->
</script>
</head>
<body bgcolor=#EEEEEE>
<?PHP echo MSG_093 . $name ?><br><br>
<table border="0" width="100%">
<tr><td align=left>
<a href="javascript:openHelp()"
        onMouseover="document.images['help'].src='<?PHP echo HELP_2 ?>'"
	onMouseout="document.images['help'].src='<?PHP echo HELP_1 ?>'">
<img src="<?PHP echo HELP_1 ?>" name="help" border=0 align="top"></a>
</td><td align=right>
<a href="javascript:parent.window.close()"
	onMouseover="document.images['exit'].src='<? echo EXIT_2 ?>'"
	onMouseout ="document.images['exit'].src='<? echo EXIT_1 ?>'">
<img src=<? echo EXIT_1 ?> name="exit" border=0 align="top"></a>
</td></tr></table>
</body>
</html>
