<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/
/**
 * Originaly written by Daniel Toma <dt@dnt.ro>
 * $Id: receive.php,v 1.24 2001/04/07 22:18:13 fkr Exp $
 * $Log: receive.php,v $
 * Revision 1.24  2001/04/07 22:18:13  fkr
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 */ 

include ("./lib/config.php");

@session_start();
$session_name = session_name();
$session_id   = session_id();

$db = new DB_connect;

?>

<html>
<head>
<script>
var topL = false;

function setTrue()
{	this.topL= true;
}

<?PHP
    // load txt-to-html-"parser" :-) 
    require("./txt2html.php");
    
    // on this part we need to different db-handles
    // still only uses one connection
    $db1     = new DB_connect;
    $db2     = new DB_connect;
    $connect = $db1->pconnect();
    $connect = $db2->pconnect();
    $sql     = "SELECT mid,send_id,rcpt_id,message FROM ". MESSAGE_TABLE ." WHERE mid>'$id' ".
               " AND ". MESSAGE_TABLE .".rid='$rid' AND (( ". MESSAGE_TABLE .".rcpt_id <= 0) OR ".
               "(". MESSAGE_TABLE .".rcpt_id='$uid') OR (". MESSAGE_TABLE .".send_id='$uid'));";
    $result  = $db1->query($sql);
   
    // this part is a bit confusing I try to document it well
    while($rows = $db1->fetch_array($result,1)) 
    { 	$message  = txt2html(rawurldecode($rows['message']));
	$id = $rows["mid"];
	
	// set $rcpt_id and $send_id to the results we got from the last
	// statement
	$rcpt_id  = $rows['rcpt_id'];	
      	$send_id  = $rows['send_id'];
      	
	// through the second handle ($db2) we get the name belonging to
	// $send-id, we need the second handle, since the first one is
	// still serving infos for the while-constuct we're in.
	$sql      = "SELECT name FROM ". USER_TABLE ." WHERE uid='$send_id'";
      	$result2  = $db2->query($sql);
      	$objekt_db2 = $db2->fetch_object($result2);
      	$name     = addslashes($objekt_db2->name); // we're careful
      	$db2->free_result($result2);
	
	if ( $rcpt_id == 0 ) 
      	{	// this is a statement directed to all since $rcpt_id equals 0
		$toOut = "<font color=\"red\"><b>$name&gt;&nbsp;</b></font>$message<br>";
      	} 
      	else if ( $rcpt_id == -1 ) 
      	{	// this corresponds to /me says something
		$toOut = "<font color=\"#222222\">$name $message</font><br>";
      	} 
      	else if ( $rcpt_id == $send_id ) 
      	{	// private msg to someone
		$toOut = "<font color=\"#BB6655\"><b>(you)</b>$message</font><br>";
      	} 
	else if ( $rcpt_id == "-2" )
	{	// system messages
		$toOut = "<font color=\"purple\"><b>Med-Chat:</b> $message!</font><br>";
      	}
	else if ( $rcpt_id == "-3" )
	{	// used for System-Messages given out to all
		$toOut = "<font color=\"darkred\">$message</font><br>";
	}
	else if ( $send_id == $uid ) 
      	{	$sql 	  = "SELECT name FROM ". USER_TABLE ." WHERE uid='$rcpt_id'";
        	$result2  = $db2->query($sql);
	        $rows2 	  = $db2->fetch_array($result2,1);
		$db2->free_result($result2);
        	$name 	  = addSlashes($rows2['name']);
        	$toOut    = '<font color="#5566BB"><b>(to '.$name.')</b> '.$message.'</font><br>';
      	} 
      	else if ( $rcpt_id == $uid ) 
      	{	// private msg coming from someone
		$sql 	  = "SELECT name FROM ". USER_TABLE ." WHERE uid=$send_id";
        	$result2  = $db2->query($sql);
      		$objekt_db2 = $db2->fetch_object($result2);
		$name = $db->doSlashes($objekt_db2->name);
		$db2->free_result($result2);
        	$toOut    = '<font color="#5566BB"><b>(from '.$name.')</b> '.$message.'</font><br>';
      	}
	// while construct still continues.
?>
      toOut = '<?PHP echo $toOut ?>';
      if (document.all) 
      {	top.wOut.document.all.out.innerHTML += toOut;
      } 
      else 
      { top.wOut.document.write(toOut);
      }	
      top.wOut.window.scrollBy(0,100000);
<?
    } // this actually is where the while from above ends.
 
    $sql = "UPDATE ". USER_TABLE ." SET last = null WHERE uid='$uid'";
    $db1->query($sql);
?>
var toOut = "";
function refresh() 
{	time = new Date();
        window.location='receive.php?tstamp=+escape(time)&<?PHP echo $session_name ."=". $session_id ."&id=". $id; ?>';
}

setTimeout('refresh()',8000);
</script>
</head>
<body bgcolor="white" onload="setTrue()">
</body>
</html>
