<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001					* *
/* Felix Kronlage                                                       * *
/* <fkr@grummel.net>                                                    * *
/* http://www.hazardous.org/                                            * *
/* whois -h whois.ripe.de FKR-RIPE                                      * *
/*************************************************************************/

/** 
 * @author (original) Daniel Toma <dt@dnt.ro>
 * send.php,v 1.23 2001/03/01 20:07:49 fkr Exp $
 * $Log: send.php,v $
 * Revision 1.27  2001/04/10 05:13:40  fkr
 * *** empty log message ***
 *
 * Revision 1.26  2001/04/07 22:18:13  fkr
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 *
 * Revision 1.25  2001/03/24 18:06:16  fkr
 * - worked some more on the session-management (no need for '--enable-trans-sid'
 *   any more
 *
 * - redesigned language-modul
 *
 * Revision 1.24  2001/03/18 16:42:33  fkr
 * - changed session-management changed to work without '--enable-trans-sid'
 *
 * Revision 1.23  2001/03/01 20:07:49  fkr
 * - renamed $db->connect() to $db->pconnect();
 * - added a real non-persistent connect called $db->connect()
 * - renamed all calls in chat from $db->connect() to $db->pconnect()
 */ 

include ("./lib/config.php");

@session_start();
$session_name  = session_name();
$session_id    = session_id();

// building an database object
$db      = new DB_connect();
$connect = $db->pconnect();


// loading language-file
if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("./languages/$language_file");
}
else
{       header("Location: index.php");
}

?>

<html>
<head>
<script language="JavaScript">
<!--
	function doSubmit()
	{	document.forms[0].submit();
	}
	
	function reloadIt()
	{	if(parent.wReceive.topL)
		{	top.wReceive.refresh();
		}
		else
		{	setTimeout("reloadIt()",3000);
		}
	}

<?PHP
// check if user is already blocked, if he is
// just close his window, he's already kicked out of
// database.
$user    = addslashes($user);
$sql	 = "SELECT handle FROM ". BLOCKED_TABLE ." WHERE handle='$user'";
$result  = $db->query($sql);
$objekt  = $db->fetch_object($result);	
$handle  = $objekt->handle;
$db->free_result($result);
if(isset($handle))
{	echo "parent.window.close();".
             "\/\/--><\/script><script language=\"JavaScript\"><!--";
	exit;
}

$RCPT_ID = 0;
$no	 = 0;

// need to catch the beginning with no txt.
if(isset($txt))
{	$txt = htmlspecialchars(rawurldecode($txt));
	if(preg_match("/^\//",$txt))
	{	if(ereg("/me",$txt))
		{	$valid = "";
		}
		if(ereg("/msg",$txt))
		{	$valid2 = "";
		}
	}
	else
	{ 	$valid = true;
		$valid2 = true;
	}
}
else
{	$valid = true;
	$valid2 = true;
}

// filter out /-command expect for /me and /msgs
if(!isset($valid) && !isset($valid2))
{	$txt = NO_COMMANDS;
	$RCPT_ID = $uid;
}

if ((isset($txt)) && ($txt !='')) 
{	if (preg_match("/^\/(\w+)\s+([^\s]+)\s+(.+)/i", $txt, $parts) || preg_match("/^\/(\w+)\s+([^\s]+)/i", $txt, $parts)) 
	{ 	// match for me-prefix
		if($parts[1] == "me")
		{ 	// ugly work-around, need to find better way
			if(isset($parts[3]))
			{	$txt = $parts[2]. " " .$parts[3];
			}
			else $txt = $parts[2];
			$RCPT_ID = -1;
		}

    		// match for msg-prefix
    		if($parts[1] == "msg")
		{	$txt 	 = $parts[3];
			$tempString = addslashes($parts[2]);
			$sql 	 = "SELECT uid FROM ". USER_TABLE ." WHERE name='$tempString' AND rid != '0'";
			unset($tempString);
        		$result  = $db->query($sql);
			$rows	 = $db->fetch_array($result,1);
			if($rows != "0")
			{	$RCPT_ID = $rows['uid'];
			}	 
			else 
			{	$RCPT_ID = $uid;
				$txt = "Recepient not found";
			}
    	 	}
	}

	$txt 	 = rawurlencode(addslashes($txt));
	$user    = $db->doSlashes($user);
	$sql 	 = "INSERT INTO ". MESSAGE_TABLE ." VALUES (null,null,'$rid','$uid','$RCPT_ID','$user','$txt')";
   	$result	 = $db->query($sql);
}
?>
//-->
</script>
</head>
<body bgcolor="#FFFFFF" onLoad="reloadIt()">
<form name="form2" method="post" action="send.php">
<input type="hidden" name="txt">
<input type="hidden" name="<?PHP echo $session_name ?>" value="<?PHP echo $session_id ?>">
</form>
</body>
</html>
