<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/
/* $Id: startchat.php,v 1.18 2001/04/10 05:13:40 fkr Exp $
 * $Log: startchat.php,v $
 * Revision 1.16  2001/04/07 22:18:13  fkr
 * - added italian-buttons
 * - tons of bug-fixes
 * - added magic_quotes_gpc = off fallback
 */

include ("./lib/config.php");

$errflag = false;
@session_start();

// instead of doing $sid = SID, we call these two function
// fallback for php without --enable-trans-sid
$session_name    = session_name() ;
$session_id      = session_id();

// building an database object
$db      = new DB_connect();
$connect = $db->pconnect();


// loading language-file
if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("./languages/$language_file");
}
else
{       header("Location: index.php");
}

if(isset($user))
{	$user = stripslashes($user = urldecode($user));
	$name = stripslashes($name = urldecode($name));
}
else
{	$errflag = true;
}

$background_url = @$db->get_object("background_url",CONFIG_TABLE,"config_state","active","");
$debug 	= @$db->get_object("debug",CONFIG_TABLE,"config_state","active",""); 
?>

<HTML>
<HEAD>
	<TITLE><?PHP if(isset($user)){ echo stripslashes($user); }?>@<?PHP if(isset($name)){ echo stripslashes($name); }?></TITLE>
<?PHP
if(!$errflag)
{	if((isset($user)) && ($debug != 1))
        {       echo "<SCRIPT>\n".
                     "function open_chat()\n{\twindow.open('chat.php?$session_name=$session_id&id=$id','','width=700,height=450');\n".
                     "\twindow.location.replace(\"$background_url\");\n}\n".
                     "</SCRIPT>";
	}
	if((isset($user)) && ($debug == 1))
	{	echo "<SCRIPT>\n".
	             "function open_chat()\n{\twindow.open('chat.php?$session_name=$session_id&id=$id','','width=700,height=450');\n}\n".
		     "</SCRIPT>";
	}
}
?>
</HEAD>
<BODY onload="open_chat()" bgcolor="white">
<font face="arial">
<?PHP
if($debug == 1)
{	echo "Running debug for med-chat...\t". $db->getVersion() ."<br>\n".
             "<br>\n<br>\n".
	     "$session_name: $session_id<br>\n".
	     "user: $user<br>\n".
	     "uid: $uid<br>\n".
	     "rid: $rid<br>\n".
	     "admin: $admin<br>\n";
}

?>
</font>
</BODY>
</HTML>
