<?
/* Transform plain text to HTML
 * @author  Daniel Toma <daniel@digiro.net>
 * @modificator Felix Kronlage <fkr@grummel.net> 
 * @version $Id:  
 */ 

function txt2html($txt) {
    $patterns = array ( 
			"/(http\:\/\/[^\s]+)/i",
			"/(ftp\:\/\/[^\s]+)/i",	  
			"/(mailto\:([^\s]+))/i",
			//"/*@*.*\s/i",		// *@*.* for mail-addresses
			"/\:\)+/i", 		// :)
			"/\:\-\)+/i",		// :-)
			"/\;\)+/i",			// ;)
			"/\;\-\)+/i",		// ;-)
			"/\:\|/i",			// :|
			"/\:\-\|/i",		// :-|
			"/\:\(+/i",			// :(
			"/\:\-\(+/i",		// :-(
			"/\*(.+)\*/i",		// *bold*
			"/\_(.+)\_/i",		// _kursiv_
			"/\r/i");
    $replace =  array ( 
			"<a href=\"\\1\" target=\"_blank\">\\1</a>", 
			"<a href=\"\\1\" target=\"_blank\">\\1</a>", 
			"<a href=\"\\1\" target=\"_blank\">\\2</a>",
			// "<a href=\"mailto:\\1\" target=\"_blank\">\\1</a>", 
			"<img src=\"img/smile.gif\" width=\"11\" height=\"11\" alt=\":)\">",
			"<img src=\"img/smile.gif\" width=\"11\" height=\"11\" alt=\":)\">",
			"<img src=\"img/smile.gif\" width=\"11\" height=\"11\" alt=\":)\">",
			"<img src=\"img/smile.gif\" width=\"11\" height=\"11\" alt=\":)\">",
			"<img src=\"img/normal.gif\" width=\"11\" height=\"11\" alt=\":|\">",
			"<img src=\"img/normal.gif\" width=\"11\" height=\"11\" alt=\":|\">",
			"<img src=\"img/sad.gif\" width=\"11\" height=\"11\" alt=\":(\">",
			"<img src=\"img/sad.gif\" width=\"11\" height=\"11\" alt=\":(\">",
			"<b>*\\1*</b>",
			"<i>_\\1_</i>",
			"<br>\n");
    return preg_replace($patterns,$replace, $txt);
}
?>
