<?PHP
/**************************************************************************
/* Written by / Copyright (C) 2000/2001                                   *
/* Felix Kronlage                                                         *
/* <fkr@grummel.net>                                                      *
/* http://www.hazardous.org/                                              * 
/* whois -h whois.ripe.de FKR-RIPE                                        *
/*************************************************************************/
/** 
 * $Id: uprofiles.php,v 1.10 2001/04/10 05:13:40 fkr Exp $
 * $Log: uprofiles.php,v $
 */

include ("./lib/config.php");
$db      = new DB_connect;
$connect = $db->pconnect();

if(isset($langid))
{       $language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
        include("./languages/$language_file");
}
else
{	@session_start();
	$session_name = session_name();
	$session_id   = session_id();
	$language_file = $db->get_object("language_file",LANGUAGES_TABLE,"lang_id","$langid",'');
	include("./languages/$language_file");
}

function fix_url($url)
{       if(!$true = eregi("http://",$url))
        {       $url  = "http://" . $url;
        }
return $url;
}

if(isset($handle))
{	if($handle == "")
	{	$err = MSG_183;
	}
	if((ereg("<",$handle)) || (ereg(" ",$handle)))
	{	$err = MSG_157;
	}
}

if(isset($password) && isset($password2) && !isset($err))
{	if($password != $password2)
	{	$err = MSG_181 ."<br>\n";
	}
}

if(isset($record))
{	$handle    = htmlentities($handle);
        $firstname = htmlentities($firstname);
	$lastname  = htmlentities($lastname);
	if($website != "")
	{       $website = fix_url($website);
	}
}

if(isset($record) && $record == "update" && !isset($err))
{	//@session_start();
	//$session_name = session_name();
	//$session_id   = session_id();

	//include ("./languages/$language");
	$firstname_slash = $db->doSlashes($firstname);
	$lastname_slash = $db->doSlashes($lastname);
	$email_slash = $db->doSlashes($email);
	$website_slash = $db->doSlashes($website);
	
	$sql = "UPDATE ". UPROFILES_TABLE ." SET firstname='$firstname_slash', lastname='$lastname_slash', ".
               " e_mail='$email_slash', homepage='$website_slash', icq_uin='$icq_uin' WHERE uid='$uid'";
	$result = $db->query($sql);
	if($result)
	{	if($password != "")
		{	$password_slash = $db->doSlashes($password);
			$sql   = "UPDATE ". USER_TABLE ." SET pass=password('$password_slash') WHERE uid='$uid'";
			$result = $db->query($sql);
			if($result)
			{	$success = MSG_185 ."<br>\n";
			}
			else
			{	$err = MSG_178 ."<br>\n". MSG_178B ."<br>\n";
			}
		}
		else
		{	$success = MSG_185 ."<br>\n";
		}
	}
	else
	{	$err = MSG_178 ."<br>\n". MSG_178B ."<br>\n";
	}
}


if(isset($record) && ($record == "new") && !isset($err))
{	if($password != "")
	{	$taken = $db->get_object("uid",USER_TABLE,"name",$handle,'');
		if($taken == "")
		{	$handle_slash = $db->doSlashes($handle);
			$password_slash = $db->doSlashes($password);
			$sql    = "INSERT INTO ". USER_TABLE ." VALUES (null,'$handle_slash',null,'',password('$password_slash'),'','')";
			$result = $db->query($sql);
			if(!$result)
			{	$err = MSG_178 ."<br>\n". MSG_178B ."<br>\n" ;
			}

			if(!isset($err))
			{	$firstname_slash = $db->doSlashes($firstname);
				$lastname_slash = $db->doSlashes($lastname);
				$email_slash = $db->doSlashes($email_slash);
				$website_slash = $db->doSlashes($website_slash);
				$uid    = $db->get_object("uid",USER_TABLE,"name",$handle,'');
				$sql    = "INSERT INTO ". UPROFILES_TABLE . " VALUES ('$uid','$handle_slash','$firstname_slash','$lastname_slash',".
				          " '$email_slash','$website_slash','$icq_uin')";
				$result = $db->query($sql);
				if($result)
				{	$success = MSG_182 ."<br>\n". MSG_182B ."<br>\n";
				}
				else
				{	$err = MSG_178 ."<br>\n". MSG_178B ."<br>\n" ;
				}
			}
		}
		else
		{	if(defined(MSG_179B))
			{	$err = MSG_179 ."<br>\n". MSG_179B ."<br>\n";
			}
			else
			{	$err = MSG_179 ."<br>\n";
			}
		}
		unset($handle);
	}
	else 
	{	$err = MSG_180 ."<br>\n";
	}
}

if(isset($PHPSESSID) && !isset($record))
{	@session_start();
	$session_name = session_name();
	$session_id   = session_id();
	
	$sql = "SELECT * FROM ". UPROFILES_TABLE ." WHERE uid='$uid'";
	$result = $db->query($sql);
	$row = $db->fetch_array($result,1);

	$firstname = $row["firstname"];
	$lastname  = $row["lastname"];
	$email     = $row["e_mail"];
	$website   = $row["homepage"];
	$icq_uin   = $row["icq_uin"];
	$handle    = $user;
}

?>
<html>
<head>
	<title><?PHP 
	if(isset($session_name))
	{	echo MSG_184 . $handle;
	}
	else
	{	echo MSG_170; 
	}
	?></title>
<SCRIPT LANGUAGE=JavaScript>
<!--
function openIt(name) 
{       window.open(name,'','width=700,height=400,scrollbars=yes');
}
//-->
</SCRIPT>
</head>
<body bgcolor="white">
<font face="arial">
<?PHP
if(isset($err))
{	echo "<font color=\"darkred\">$err</font>";
}

if(isset($success))
{	echo "<font color=\"darkblue\">$success</font>";
	
	echo "<table border=\"0\" width=\"100%\">".
	     "<tr>\n<td align=\"left\"><a href=\"javascript:parent.window.close()\" ".
             "onMouseover=\"document.images['exit'].src='". EXIT_2 ."'\"".
	     "onMouseout =\"document.images['exit'].src='". EXIT_1 ."'\">".
	     "<img src=\"". EXIT_1 ."\" name=\"exit\" border=\"0\" align=\"top\"></a>\n".
             "</td>\n</tr>\n</table>\n";
	echo "</font>\n</body>\n</html>";
	exit;
}

if(isset($session_name))
{	echo "<h3>" . MSG_184 . $handle . "</h3>";
}
else
{	echo "<h3>" . MSG_170 . "</h3>";
}
?>
<form action="uprofiles.php" method="post">
<table border="0">
<tr>
	<td><?PHP echo MSG_171 ?></td>
	<td><input type="text" size="30" maxlenght="50" name="firstname" <?PHP if(isset($firstname)) echo "value=\"$firstname\"" ?>></td>
</tr>
<tr>
        <td><?PHP echo MSG_172 ?></td>
	<td><input type="text" size="30" maxlenght="50" name="lastname" <?PHP if(isset($lastname)) echo "value=\"$lastname\"" ?>></td>
</tr>
<tr>
	<td><?PHP echo MSG_173 ?></td>
	<td><input type="text" size="30" maxlenght="100" name="email" <?PHP if(isset($email)) echo "value=\"$email\"" ?>></td>
</tr>
<tr>
        <td><?PHP echo MSG_174 ?></td>
	<td><input type="text" size="30" maxlenght="100" name="website" <?PHP if(isset($website)) echo "value=\"$website\"" ?>></td>
</tr>
<tr>
        <td><?PHP echo MSG_175 ?></td>
	<td><input type="text" size="30" maxlenght="100" name="icq_uin" <?PHP if(isset($icq_uin)) echo "value=\"$icq_uin\"" ?>></td>
</tr>
<tr>
	<td><br></td>
</tr>
<?PHP
if(!isset($session_name))
{	echo "<tr>\n<td>". MSG_176 ."</td>\n".
	     "<td><input type=\"text\" size=\"30\" maxlenght=\"30\" name=\"handle\" ";
	if(isset($handle)) 
	{	echo "value=\"$handle\"";
	}
	echo  "</td>\n</tr>\n";
}
?>
<tr>
	<td colspan="2"><br></td>
</tr>
<tr>
	<td><?PHP echo MSG_177 ?></td>
	<td><input type="password" size="30" maxlenght="30" name="password"></td>
</tr>
<tr>
	<td><?PHP echo MSG_177 ?></td>
	<td><input type="password" size="30" maxlenght="30" name="password2"></td>
</tr>
<?PHP
if(isset($session_name))
{	echo "<tr>\n<td><input type=\"hidden\" name=\"record\" value=\"update\">\n".
             "<input type=\"hidden\" name=\"handle\" value=\"$handle\">\n".
	     "<input type=\"hidden\" name=\"$session_name\" value=\"$session_id\">\n</td>\n\n";
}
else
{	echo "<tr>\n<td><input type=\"hidden\" name=\"record\" value=\"new\">".
             "<input type=\"hidden\" name=\"language\" value=\"$language\"></td>\n";
} 
?>
	<td><input type="submit" value="<?PHP echo MSG_166 ?>"></td>
</tr>
</table>
</form>
<br>
<a href="javascript:parent.window.close()"
        onMouseover="document.images['exit'].src='<?PHP echo EXIT_2 ?>'"
	onMouseout ="document.images['exit'].src='<?PHP echo EXIT_1 ?>'">
<img src="<?PHP echo EXIT_1 ?>" name="exit" border="0" align="top"></a>

</body>
</html>
